assert(Cartographer_Vendors, "Cartographer Vendors not found!")

local _, _, REVISION = string.find("$Revision: 23349 $", "(%d+)")
local lang = AceLibrary("AceLocale-2.2"):new("Cartographer_Vendors_Import")
-- local dewdrop = AceLibrary("Dewdrop-2.0")
-- local abacus = AceLibrary("Abacus-2.0")
-- local crayon = AceLibrary("Crayon-2.0")
-- local tablet = AceLibrary("Tablet-2.0")

lang:RegisterTranslations("enUS", function() return {
	["Rebuild"] = true,
} end)

Cartographer_Vendors.module_import = true

local function loadVendorsImportData()
    local faction = UnitFactionGroup("player")
    local result = {}
    local import = {
    ["The Hinterlands"] = {
        ["Otho Moji\'ko"] = {
            ["y"] = 0.791,
            ["type"] = "Cooking Supplier",
            ["name"] = "Otho Moji\'ko",
            ["faction"] = "Horde",
            ["x"] = 0.793,
        },
        ["Lard"] = {
            ["y"] = 0.813,
            ["type"] = "Innkeeper",
            ["name"] = "Lard",
            ["faction"] = "Horde",
            ["x"] = 0.782,
        },
        ["Ruppo Zipcoil"] = {
            ["y"] = 0.379,
            ["x"] = 0.343,
            ["name"] = "Ruppo Zipcoil",
            ["type"] = "Engineering Supplies",
        },
        ["Mystic Yayo\'jin"] = {
            ["y"] = 0.784,
            ["type"] = "Reagent Vendor",
            ["name"] = "Mystic Yayo\'jin",
            ["faction"] = "Horde",
            ["x"] = 0.788,
        },
        ["Smith Slagtree"] = {
            ["y"] = 0.803,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Smith Slagtree",
            ["faction"] = "Horde",
            ["x"] = 0.776,
        },
        ["Katoom the Angler"] = {
            ["y"] = 0.814,
            ["type"] = "Fishing Trainer & Supplies",
            ["name"] = "Katoom the Angler",
            ["faction"] = "Horde",
            ["x"] = 0.803,
        },
        ["Innkeeper Thulfram"] = {
            ["y"] = 0.419,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Thulfram",
            ["faction"] = "Alliance",
            ["x"] = 0.132,
        },
        ["Renn\'az"] = {
            ["y"] = 0.813,
            ["type"] = "Ammunition Vendor",
            ["name"] = "Renn\'az",
            ["faction"] = "Horde",
            ["x"] = 0.769,
        },
        ["Gigget Zipcoil"] = {
            ["y"] = 0.385,
            ["x"] = 0.345,
            ["name"] = "Gigget Zipcoil",
            ["type"] = "Trade Supplies",
        },
        ["Nioma"] = {
            ["y"] = 0.433,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Nioma",
            ["faction"] = "Alliance",
            ["x"] = 0.134,
        },
        ["Harggan"] = {
            ["y"] = 0.44,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Harggan",
            ["faction"] = "Alliance",
            ["x"] = 0.134,
        },
    },
    ["Moonglade"] = {
        ["Lorelae Wintersong"] = {
            ["y"] = 0.401,
            ["x"] = 0.483,
            ["name"] = "Lorelae Wintersong",
            ["type"] = "Trade Supplies",
        },
        ["Geenia Sunshadow"] = {
            ["y"] = 0.33,
            ["x"] = 0.519,
            ["name"] = "Geenia Sunshadow",
            ["type"] = "Speciality Dress Maker",
        },
        ["Narianna"] = {
            ["y"] = 0.427,
            ["x"] = 0.532,
            ["name"] = "Narianna",
            ["type"] = "Bowyer",
        },
        ["Darnall"] = {
            ["y"] = 0.333,
            ["x"] = 0.516,
            ["name"] = "Darnall",
            ["type"] = "Tailoring Supplies",
        },
        ["Meliri"] = {
            ["y"] = 0.423,
            ["x"] = 0.513,
            ["name"] = "Meliri",
            ["type"] = "Weaponsmith",
        },
        ["My\'lanna"] = {
            ["y"] = 0.341,
            ["x"] = 0.445,
            ["name"] = "My\'lanna",
            ["type"] = "Food & Drink Merchant",
        },
        ["Dargon"] = {
            ["y"] = 0.393,
            ["x"] = 0.487,
            ["name"] = "Dargon",
            ["type"] = "Food & Drink Merchant",
        },
        ["Daeolyn Summerleaf"] = {
            ["y"] = 0.346,
            ["x"] = 0.451,
            ["name"] = "Daeolyn Summerleaf",
            ["type"] = "General Goods",
        },
        ["Kharedon"] = {
            ["y"] = 0.3,
            ["x"] = 0.565,
            ["name"] = "Kharedon",
            ["type"] = "Light Armor Merchant",
        },
    },
    ["Thousand Needles"] = {
        ["Turhaw"] = {
            ["y"] = 0.511,
            ["type"] = "Butcher",
            ["name"] = "Turhaw",
            ["faction"] = "Horde",
            ["x"] = 0.455,
        },
        ["Synge"] = {
            ["y"] = 0.769,
            ["x"] = 0.804,
            ["name"] = "Synge",
            ["type"] = "Gun Merchant",
        },
        ["Innkeeper Abeqwa"] = {
            ["y"] = 0.515,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Abeqwa",
            ["faction"] = "Horde",
            ["x"] = 0.461,
        },
        ["Brivelthwerp"] = {
            ["y"] = 0.77,
            ["x"] = 0.774,
            ["name"] = "Brivelthwerp",
            ["type"] = "Ice Cream Vendor",
        },
        ["Jawn Highmesa"] = {
            ["y"] = 0.515,
            ["type"] = "General Goods",
            ["name"] = "Jawn Highmesa",
            ["faction"] = "Horde",
            ["x"] = 0.46,
        },
        ["Jandia"] = {
            ["y"] = 0.515,
            ["type"] = "Trade Supplies",
            ["name"] = "Jandia",
            ["faction"] = "Horde",
            ["x"] = 0.461,
        },
        ["Jinky Twizzlefixxit"] = {
            ["y"] = 0.778,
            ["x"] = 0.777,
            ["name"] = "Jinky Twizzlefixxit",
            ["type"] = "Engineering Supplies",
        },
        ["Riznek"] = {
            ["y"] = 0.757,
            ["x"] = 0.796,
            ["name"] = "Riznek",
            ["type"] = "Drink Vendor",
        },
    },
    ["Winterspring"] = {
        ["Vi\'el"] = {
            ["y"] = 0.783,
            ["x"] = 0.589,
            ["name"] = "Vi\'el",
            ["type"] = "Exotic Reagent Merchant",
        },
        ["Evie Whirlbrew"] = {
            ["y"] = 0.378,
            ["x"] = 0.608,
            ["name"] = "Evie Whirlbrew",
            ["type"] = "Alchemy Supplies",
        },
        ["Nixxrak"] = {
            ["y"] = 0.38,
            ["x"] = 0.616,
            ["name"] = "Nixxrak",
            ["type"] = "Heavy Armor Merchant",
        },
        ["Innkeeper Vizzie"] = {
            ["y"] = 0.389,
            ["x"] = 0.613,
            ["name"] = "Innkeeper Vizzie",
            ["type"] = "Innkeeper",
        },
        ["Lunnix Sprocketslip"] = {
            ["y"] = 0.386,
            ["x"] = 0.618,
            ["name"] = "Lunnix Sprocketslip",
            ["type"] = "Mining Supplies",
        },
        ["Natheril Raincaller"] = {
            ["y"] = 0.308,
            ["type"] = "General Goods",
            ["name"] = "Natheril Raincaller",
            ["faction"] = "Alliance",
            ["x"] = 0.515,
        },
        ["Qia"] = {
            ["y"] = 0.372,
            ["x"] = 0.612,
            ["name"] = "Qia",
            ["type"] = "Trade Goods Supplies",
        },
        ["Syurana"] = {
            ["y"] = 0.299,
            ["type"] = "Trade Goods Supplies",
            ["name"] = "Syurana",
            ["faction"] = "Alliance",
            ["x"] = 0.516,
        },
        ["Blixxrak"] = {
            ["y"] = 0.379,
            ["x"] = 0.617,
            ["name"] = "Blixxrak",
            ["type"] = "Light Armor Merchant",
        },
        ["Xizzer Fizzbolt"] = {
            ["y"] = 0.386,
            ["x"] = 0.608,
            ["name"] = "Xizzer Fizzbolt",
            ["type"] = "Engineering Supplies",
        },
    },
    ["Hellfire Peninsula"] = {
        ["Hagash the Blind"] = {
            ["y"] = 0.816,
            ["type"] = "Bowyer",
            ["name"] = "Hagash the Blind",
            ["faction"] = "Horde",
            ["x"] = 0.609,
        },
        ["Markus Scylan"] = {
            ["y"] = 0.634,
            ["type"] = "Gem Vendor",
            ["name"] = "Markus Scylan",
            ["faction"] = "Alliance",
            ["x"] = 0.546,
        },
        ["Quartermaster Urgronn"] = {
            ["y"] = 0.379,
            ["type"] = "Thrallmar Quartermaster",
            ["name"] = "Quartermaster Urgronn",
            ["faction"] = "Horde",
            ["x"] = 0.549,
        },
        ["Cookie One-Eye"] = {
            ["y"] = 0.411,
            ["type"] = "Food and Drink",
            ["name"] = "Cookie One-Eye",
            ["faction"] = "Horde",
            ["x"] = 0.546,
        },
        ["Fallesh Sunfallow"] = {
            ["y"] = 0.602,
            ["type"] = "Weapon Merchant",
            ["name"] = "Fallesh Sunfallow",
            ["faction"] = "Horde",
            ["x"] = 0.265,
        },
        ["Edward the Temporary"] = {
            ["y"] = 0.635,
            ["type"] = "Alpha Gem Vendor",
            ["name"] = "Edward the Temporary",
            ["faction"] = "Alliance",
            ["x"] = 0.546,
        },
        ["Quartermaster Drake"] = {
            ["y"] = 0.524,
            ["type"] = "Supplies",
            ["name"] = "Quartermaster Drake",
            ["faction"] = "Alliance",
            ["x"] = 0.883,
        },
        ["Floyd Pinkus"] = {
            ["y"] = 0.375,
            ["type"] = "Innkeeper",
            ["name"] = "Floyd Pinkus",
            ["faction"] = "Horde",
            ["x"] = 0.567,
        },
        ["Quartermaster Gorman"] = {
            ["y"] = 0.535,
            ["type"] = "Rations",
            ["name"] = "Quartermaster Gorman",
            ["faction"] = "Alliance",
            ["x"] = 0.876,
        },
        ["Lukra"] = {
            ["y"] = 0.819,
            ["type"] = "General Goods",
            ["name"] = "Lukra",
            ["faction"] = "Horde",
            ["x"] = 0.614,
        },
        ["Mixie Farshot"] = {
            ["y"] = 0.815,
            ["type"] = "Gun Merchant",
            ["name"] = "Mixie Farshot",
            ["faction"] = "Horde",
            ["x"] = 0.611,
        },
        ["Innkeeper Bazil Olof\'tazun"] = {
            ["y"] = 0.596,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Bazil Olof\'tazun",
            ["faction"] = "Horde",
            ["x"] = 0.269,
        },
        ["Gaston"] = {
            ["y"] = 0.635,
            ["type"] = "Chef",
            ["name"] = "Gaston",
            ["faction"] = "Alliance",
            ["x"] = 0.541,
        },
        ["Caregiver Ophera Windfury"] = {
            ["y"] = 0.365,
            ["type"] = "Innkeeper",
            ["name"] = "Caregiver Ophera Windfury",
            ["faction"] = "Alliance",
            ["x"] = 0.234,
        },
        ["Reagan Mancuso"] = {
            ["y"] = 0.377,
            ["type"] = "Gem Vendor",
            ["name"] = "Reagan Mancuso",
            ["faction"] = "Horde",
            ["x"] = 0.567,
        },
        ["Magus Zabraxis"] = {
            ["y"] = 0.657,
            ["type"] = "Reagent Vendor",
            ["name"] = "Magus Zabraxis",
            ["faction"] = "Alliance",
            ["x"] = 0.539,
        },
        ["Peon Bolgar"] = {
            ["y"] = 0.818,
            ["type"] = "Trade Goods",
            ["name"] = "Peon Bolgar",
            ["faction"] = "Horde",
            ["x"] = 0.616,
        },
        ["Provisioner Anir"] = {
            ["y"] = 0.402,
            ["type"] = "Food & Drink Vendor",
            ["name"] = "Provisioner Anir",
            ["faction"] = "Alliance",
            ["x"] = 0.241,
        },
        ["Dark Cleric Malod"] = {
            ["y"] = 0.472,
            ["type"] = "Healing & Sustenance",
            ["name"] = "Dark Cleric Malod",
            ["faction"] = "Horde",
            ["x"] = 0.882,
        },
        ["Logistics Officer Ulrike"] = {
            ["y"] = 0.626,
            ["type"] = "Honor Hold Quartermaster",
            ["name"] = "Logistics Officer Ulrike",
            ["faction"] = "Alliance",
            ["x"] = 0.567,
        },
        ["Baxter"] = {
            ["y"] = 0.374,
            ["type"] = "Chef",
            ["name"] = "Baxter",
            ["faction"] = "Horde",
            ["x"] = 0.567,
        },
        ["Lursa Sunfallow"] = {
            ["y"] = 0.611,
            ["type"] = "Reagent Vendor",
            ["name"] = "Lursa Sunfallow",
            ["faction"] = "Horde",
            ["x"] = 0.28,
        },
    },
    ["Arathi Highlands"] = {
        ["Jun\'ha"] = {
            ["y"] = 0.365,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Jun\'ha",
            ["faction"] = "Horde",
            ["x"] = 0.727,
        },
        ["Jannos Ironwill"] = {
            ["y"] = 0.477,
            ["type"] = "Superior Macecrafter",
            ["name"] = "Jannos Ironwill",
            ["faction"] = "Alliance",
            ["x"] = 0.46,
        },
        ["Vikki Lonsav"] = {
            ["y"] = 0.475,
            ["type"] = "General Goods",
            ["name"] = "Vikki Lonsav",
            ["faction"] = "Alliance",
            ["x"] = 0.464,
        },
        ["Deneb Walker"] = {
            ["y"] = 0.588,
            ["type"] = "Scrolls & Potions",
            ["name"] = "Deneb Walker",
            ["faction"] = "Alliance",
            ["x"] = 0.27,
        },
        ["Mu\'uta"] = {
            ["y"] = 0.334,
            ["type"] = "Bowyer",
            ["name"] = "Mu\'uta",
            ["faction"] = "Horde",
            ["x"] = 0.726,
        },
        ["Innkeeper Adegwa"] = {
            ["y"] = 0.326,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Adegwa",
            ["faction"] = "Horde",
            ["x"] = 0.738,
        },
        ["Tunkk"] = {
            ["y"] = 0.345,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Tunkk",
            ["faction"] = "Horde",
            ["x"] = 0.748,
        },
        ["Rutherford Twing"] = {
            ["y"] = 0.298,
            ["type"] = "Defilers Supply Officer",
            ["name"] = "Rutherford Twing",
            ["faction"] = "Horde",
            ["x"] = 0.734,
        },
        ["Graud"] = {
            ["y"] = 0.324,
            ["type"] = "General Goods",
            ["name"] = "Graud",
            ["faction"] = "Horde",
            ["x"] = 0.741,
        },
        ["Hammon Karwn"] = {
            ["y"] = 0.474,
            ["type"] = "Superior Tradesman",
            ["name"] = "Hammon Karwn",
            ["faction"] = "Alliance",
            ["x"] = 0.464,
        },
        ["Uttnar"] = {
            ["y"] = 0.338,
            ["type"] = "Butcher",
            ["name"] = "Uttnar",
            ["faction"] = "Horde",
            ["x"] = 0.742,
        },
        ["Androd Fadran"] = {
            ["y"] = 0.469,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Androd Fadran",
            ["faction"] = "Alliance",
            ["x"] = 0.45,
        },
        ["Samuel Hawke"] = {
            ["y"] = 0.453,
            ["type"] = "League of Arathor Supply Officer",
            ["name"] = "Samuel Hawke",
            ["faction"] = "Alliance",
            ["x"] = 0.46,
        },
        ["Narj Deepslice"] = {
            ["y"] = 0.476,
            ["type"] = "Butcher",
            ["name"] = "Narj Deepslice",
            ["faction"] = "Alliance",
            ["x"] = 0.456,
        },
        ["Keena"] = {
            ["y"] = 0.327,
            ["type"] = "Trade Goods",
            ["name"] = "Keena",
            ["faction"] = "Horde",
            ["x"] = 0.74,
        },
        ["Drovnar Strongbrew"] = {
            ["y"] = 0.471,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Drovnar Strongbrew",
            ["faction"] = "Alliance",
            ["x"] = 0.464,
        },
    },
    ["Eversong Woods"] = {
        ["Shara Sunwing"] = {
            ["y"] = 0.204,
            ["type"] = "General Supplies",
            ["name"] = "Shara Sunwing",
            ["faction"] = "Horde",
            ["x"] = 0.387,
        },
        ["Kyrenna"] = {
            ["y"] = 0.454,
            ["type"] = "Cheese Vendor",
            ["name"] = "Kyrenna",
            ["faction"] = "Horde",
            ["x"] = 0.475,
        },
        ["Jainthess Thelryn"] = {
            ["y"] = 0.191,
            ["type"] = "Cloth & Leather Merchant",
            ["name"] = "Jainthess Thelryn",
            ["faction"] = "Horde",
            ["x"] = 0.372,
        },
        ["Landraelanis"] = {
            ["y"] = 0.47,
            ["type"] = "Tradesman",
            ["name"] = "Landraelanis",
            ["faction"] = "Horde",
            ["x"] = 0.49,
        },
        ["Marniel Amberlight"] = {
            ["y"] = 0.712,
            ["type"] = "Innkeeper",
            ["name"] = "Marniel Amberlight",
            ["faction"] = "Horde",
            ["x"] = 0.437,
        },
        ["Sleyin"] = {
            ["y"] = 0.475,
            ["type"] = "Weapon Vendor",
            ["name"] = "Sleyin",
            ["faction"] = "Horde",
            ["x"] = 0.471,
        },
        ["Innkeeper Delaniel"] = {
            ["y"] = 0.477,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Delaniel",
            ["faction"] = "Horde",
            ["x"] = 0.481,
        },
        ["Paelarin"] = {
            ["y"] = 0.627,
            ["type"] = "Bowyer",
            ["name"] = "Paelarin",
            ["faction"] = "Horde",
            ["x"] = 0.601,
        },
        ["Halis Dawnstrider"] = {
            ["y"] = 0.704,
            ["type"] = "General Goods",
            ["name"] = "Halis Dawnstrider",
            ["faction"] = "Horde",
            ["x"] = 0.441,
        },
        ["Faraden Thelryn"] = {
            ["y"] = 0.189,
            ["type"] = "Armorsmith",
            ["name"] = "Faraden Thelryn",
            ["faction"] = "Horde",
            ["x"] = 0.377,
        },
        ["Solanin"] = {
            ["y"] = 0.528,
            ["type"] = "Bag Vendor",
            ["name"] = "Solanin",
            ["faction"] = "Horde",
            ["x"] = 0.419,
        },
        ["Farsil"] = {
            ["y"] = 0.461,
            ["type"] = "Armor & Shield Merchant",
            ["name"] = "Farsil",
            ["faction"] = "Horde",
            ["x"] = 0.486,
        },
        ["Sheri"] = {
            ["y"] = 0.473,
            ["type"] = "General Goods Vendor",
            ["name"] = "Sheri",
            ["faction"] = "Horde",
            ["x"] = 0.482,
        },
        ["Geron"] = {
            ["y"] = 0.46,
            ["type"] = "Weapon Merchant",
            ["name"] = "Geron",
            ["faction"] = "Horde",
            ["x"] = 0.485,
        },
        ["Vara"] = {
            ["y"] = 0.478,
            ["type"] = "Cloth and Leather Merchant",
            ["name"] = "Vara",
            ["faction"] = "Horde",
            ["x"] = 0.479,
        },
        ["Areyn"] = {
            ["y"] = 0.627,
            ["type"] = "General Goods Vendor",
            ["name"] = "Areyn",
            ["faction"] = "Horde",
            ["x"] = 0.594,
        },
        ["Kinamisa"] = {
            ["y"] = 0.512,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Kinamisa",
            ["faction"] = "Horde",
            ["x"] = 0.538,
        },
        ["Raelis Dawnstar"] = {
            ["y"] = 0.193,
            ["type"] = "Weaponsmith",
            ["name"] = "Raelis Dawnstar",
            ["faction"] = "Horde",
            ["x"] = 0.378,
        },
        ["Sathiel"] = {
            ["y"] = 0.717,
            ["type"] = "Trade Goods Vendor",
            ["name"] = "Sathiel",
            ["faction"] = "Horde",
            ["x"] = 0.448,
        },
        ["Sailor Melinan"] = {
            ["y"] = 0.67,
            ["type"] = "Drink Vendor",
            ["name"] = "Sailor Melinan",
            ["faction"] = "Horde",
            ["x"] = 0.365,
        },
    },
    ["Westfall"] = {
        ["Christopher Hewen"] = {
            ["y"] = 0.529,
            ["type"] = "General Trade Goods Vendor",
            ["name"] = "Christopher Hewen",
            ["faction"] = "Alliance",
            ["x"] = 0.523,
        },
        ["Defias Profiteer"] = {
            ["y"] = 0.669,
            ["x"] = 0.435,
            ["name"] = "Defias Profiteer",
            ["type"] = "Free Wheeling Merchant",
        },
        ["William MacGregor"] = {
            ["y"] = 0.539,
            ["type"] = "Bowyer",
            ["name"] = "William MacGregor",
            ["faction"] = "Alliance",
            ["x"] = 0.577,
        },
        ["Gina MacGregor"] = {
            ["y"] = 0.54,
            ["type"] = "Trade Supplies",
            ["name"] = "Gina MacGregor",
            ["faction"] = "Alliance",
            ["x"] = 0.576,
        },
        ["Mike Miller"] = {
            ["y"] = 0.537,
            ["type"] = "Bread Merchant",
            ["name"] = "Mike Miller",
            ["faction"] = "Alliance",
            ["x"] = 0.577,
        },
        ["Innkeeper Heather"] = {
            ["y"] = 0.536,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Heather",
            ["faction"] = "Alliance",
            ["x"] = 0.529,
        },
        ["Quartermaster Lewis"] = {
            ["y"] = 0.472,
            ["type"] = "Quartermaster",
            ["name"] = "Quartermaster Lewis",
            ["faction"] = "Alliance",
            ["x"] = 0.569,
        },
    },
    ["Badlands"] = {
        ["Innkeeper Shul\'kar"] = {
            ["y"] = 0.459,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Shul\'kar",
            ["faction"] = "Horde",
            ["x"] = 0.029,
        },
        ["Grawl"] = {
            ["y"] = 0.461,
            ["type"] = "General Goods",
            ["name"] = "Grawl",
            ["faction"] = "Horde",
            ["x"] = 0.031,
        },
        ["Sranda"] = {
            ["y"] = 0.474,
            ["type"] = "Light Armor & Weapons Merchant",
            ["name"] = "Sranda",
            ["faction"] = "Horde",
            ["x"] = 0.03,
        },
        ["Jazzrik"] = {
            ["y"] = 0.526,
            ["x"] = 0.425,
            ["name"] = "Jazzrik",
            ["type"] = "Blacksmithing Supplies",
        },
    },
    ["Searing Gorge"] = {
        ["Graw Cornerstone"] = {
            ["y"] = 0.748,
            ["type"] = "Mail Armor Merchant",
            ["name"] = "Graw Cornerstone",
            ["faction"] = "Alliance",
            ["x"] = 0.414,
        },
    },
    ["Orgrimmar"] = {
        ["Kiro"] = {
            ["y"] = 0.421,
            ["type"] = "War Harness Maker",
            ["name"] = "Kiro",
            ["faction"] = "Horde",
            ["x"] = 0.731,
        },
        ["Garyl"] = {
            ["y"] = 0.745,
            ["type"] = "Tabard Vendor",
            ["name"] = "Garyl",
            ["faction"] = "Horde",
            ["x"] = 0.438,
        },
        ["Morgum"] = {
            ["y"] = 0.733,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Morgum",
            ["faction"] = "Horde",
            ["x"] = 0.561,
        },
        ["Ukra\'nor"] = {
            ["y"] = 0.74,
            ["type"] = "Staff Merchant",
            ["name"] = "Ukra\'nor",
            ["faction"] = "Horde",
            ["x"] = 0.299,
        },
        ["Borgosh Corebender"] = {
            ["y"] = 0.237,
            ["type"] = "Weaponsmith",
            ["name"] = "Borgosh Corebender",
            ["faction"] = "Horde",
            ["x"] = 0.797,
        },
        ["Sana"] = {
            ["y"] = 0.73,
            ["type"] = "Mail Armor Merchant",
            ["name"] = "Sana",
            ["faction"] = "Horde",
            ["x"] = 0.559,
        },
        ["Borya"] = {
            ["y"] = 0.512,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Borya",
            ["faction"] = "Horde",
            ["x"] = 0.63,
        },
        ["Koru"] = {
            ["y"] = 0.188,
            ["type"] = "Mace & Staves Vendor",
            ["name"] = "Koru",
            ["faction"] = "Horde",
            ["x"] = 0.816,
        },
        ["Rashona Straglash"] = {
            ["y"] = 0.511,
            ["type"] = "Horde Cloth Quartermaster",
            ["name"] = "Rashona Straglash",
            ["faction"] = "Horde",
            ["x"] = 0.634,
        },
        ["Borstan"] = {
            ["y"] = 0.534,
            ["type"] = "Meat Vendor",
            ["name"] = "Borstan",
            ["faction"] = "Horde",
            ["x"] = 0.574,
        },
        ["Okothos Ironrager"] = {
            ["y"] = 0.238,
            ["type"] = "Armorsmith",
            ["name"] = "Okothos Ironrager",
            ["faction"] = "Horde",
            ["x"] = 0.798,
        },
        ["Sovik"] = {
            ["y"] = 0.252,
            ["type"] = "Engineering Supplies",
            ["name"] = "Sovik",
            ["faction"] = "Horde",
            ["x"] = 0.756,
        },
        ["Kareth"] = {
            ["y"] = 0.558,
            ["type"] = "Blade Merchant",
            ["name"] = "Kareth",
            ["faction"] = "Horde",
            ["x"] = 0.455,
        },
        ["Rekkul"] = {
            ["y"] = 0.497,
            ["type"] = "Poison Vendor",
            ["name"] = "Rekkul",
            ["faction"] = "Horde",
            ["x"] = 0.423,
        },
        ["Innkeeper Gryshka"] = {
            ["y"] = 0.686,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Gryshka",
            ["faction"] = "Horde",
            ["x"] = 0.541,
        },
        ["Tamar"] = {
            ["y"] = 0.453,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Tamar",
            ["faction"] = "Horde",
            ["x"] = 0.63,
        },
        ["Gotri"] = {
            ["y"] = 0.53,
            ["type"] = "Bag Vendor",
            ["name"] = "Gotri",
            ["faction"] = "Horde",
            ["x"] = 0.589,
        },
        ["Galthuk"] = {
            ["y"] = 0.188,
            ["type"] = "Two-Handed Weapons Merchant",
            ["name"] = "Galthuk",
            ["faction"] = "Horde",
            ["x"] = 0.82,
        },
        ["Shimra"] = {
            ["y"] = 0.802,
            ["type"] = "General Trade Goods Merchant",
            ["name"] = "Shimra",
            ["faction"] = "Horde",
            ["x"] = 0.48,
        },
        ["Horthus"] = {
            ["y"] = 0.568,
            ["type"] = "Reagents Vendor",
            ["name"] = "Horthus",
            ["faction"] = "Horde",
            ["x"] = 0.455,
        },
        ["Asoran"] = {
            ["y"] = 0.406,
            ["type"] = "General Goods Vendor",
            ["name"] = "Asoran",
            ["faction"] = "Horde",
            ["x"] = 0.46,
        },
        ["Muragus"] = {
            ["y"] = 0.484,
            ["type"] = "Staff Merchant",
            ["name"] = "Muragus",
            ["faction"] = "Horde",
            ["x"] = 0.445,
        },
        ["Urtharo"] = {
            ["y"] = 0.687,
            ["type"] = "Weapon Merchant",
            ["name"] = "Urtharo",
            ["faction"] = "Horde",
            ["x"] = 0.475,
        },
        ["Tumi"] = {
            ["y"] = 0.236,
            ["type"] = "Heavy Armor Merchant",
            ["name"] = "Tumi",
            ["faction"] = "Horde",
            ["x"] = 0.824,
        },
        ["Kor\'geld"] = {
            ["y"] = 0.343,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Kor\'geld",
            ["faction"] = "Horde",
            ["x"] = 0.562,
        },
        ["Tor\'phan"] = {
            ["y"] = 0.505,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Tor\'phan",
            ["faction"] = "Horde",
            ["x"] = 0.627,
        },
        ["Jin\'sora"] = {
            ["y"] = 0.385,
            ["type"] = "Bow Merchant",
            ["name"] = "Jin\'sora",
            ["faction"] = "Horde",
            ["x"] = 0.779,
        },
        ["Gorina"] = {
            ["y"] = 0.266,
            ["type"] = "Mining Supplier",
            ["name"] = "Gorina",
            ["faction"] = "Horde",
            ["x"] = 0.732,
        },
        ["Kelgruk Bloodaxe"] = {
            ["y"] = 0.183,
            ["type"] = "Weapon Crafter",
            ["name"] = "Kelgruk Bloodaxe",
            ["faction"] = "Horde",
            ["x"] = 0.819,
        },
        ["Vehena"] = {
            ["y"] = 0.877,
            ["type"] = "Horde Cloth Quartermaster",
            ["name"] = "Vehena",
            ["faction"] = "Horde",
            ["x"] = 0.378,
        },
        ["Shayis Steelfury"] = {
            ["y"] = 0.232,
            ["type"] = "Armor Crafter",
            ["name"] = "Shayis Steelfury",
            ["faction"] = "Horde",
            ["x"] = 0.803,
        },
        ["Shankys"] = {
            ["y"] = 0.297,
            ["type"] = "Fishing Supplies",
            ["name"] = "Shankys",
            ["faction"] = "Horde",
            ["x"] = 0.698,
        },
        ["Kithas"] = {
            ["y"] = 0.38,
            ["type"] = "Enchanting Supplies",
            ["name"] = "Kithas",
            ["faction"] = "Horde",
            ["x"] = 0.537,
        },
        ["Katis"] = {
            ["y"] = 0.485,
            ["type"] = "Wand Merchant",
            ["name"] = "Katis",
            ["faction"] = "Horde",
            ["x"] = 0.444,
        },
        ["Shan\'ti"] = {
            ["y"] = 0.524,
            ["type"] = "Fruit Vendor",
            ["name"] = "Shan\'ti",
            ["faction"] = "Horde",
            ["x"] = 0.376,
        },
        ["Sergeant Ba\'sha"] = {
            ["y"] = 0.688,
            ["type"] = "Accessories Quartermaster",
            ["name"] = "Sergeant Ba\'sha",
            ["faction"] = "Horde",
            ["x"] = 0.415,
        },
        ["Sumi"] = {
            ["y"] = 0.238,
            ["type"] = "Blacksmithing Supplier",
            ["name"] = "Sumi",
            ["faction"] = "Horde",
            ["x"] = 0.824,
        },
        ["Shoma"] = {
            ["y"] = 0.191,
            ["type"] = "Weapon Vendor",
            ["name"] = "Shoma",
            ["faction"] = "Horde",
            ["x"] = 0.815,
        },
        ["Magenius"] = {
            ["y"] = 0.407,
            ["type"] = "Reagents Vendor",
            ["name"] = "Magenius",
            ["faction"] = "Horde",
            ["x"] = 0.458,
        },
        ["Ollanus"] = {
            ["y"] = 0.737,
            ["type"] = "Light Armor Merchant",
            ["name"] = "Ollanus",
            ["faction"] = "Horde",
            ["x"] = 0.564,
        },
        ["Olvia"] = {
            ["y"] = 0.698,
            ["type"] = "Meat Vendor",
            ["name"] = "Olvia",
            ["faction"] = "Horde",
            ["x"] = 0.448,
        },
        ["Trak\'gen"] = {
            ["y"] = 0.803,
            ["type"] = "General Goods Merchant",
            ["name"] = "Trak\'gen",
            ["faction"] = "Horde",
            ["x"] = 0.481,
        },
        ["Hagrus"] = {
            ["y"] = 0.459,
            ["type"] = "Reagents Vendor",
            ["name"] = "Hagrus",
            ["faction"] = "Horde",
            ["x"] = 0.46,
        },
        ["Kor\'jus"] = {
            ["y"] = 0.54,
            ["type"] = "Mushroom Vendor",
            ["name"] = "Kor\'jus",
            ["faction"] = "Horde",
            ["x"] = 0.491,
        },
        ["Handor"] = {
            ["y"] = 0.45,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Handor",
            ["faction"] = "Horde",
            ["x"] = 0.628,
        },
    },
    ["Blade's Edge Mountains"] = {
        ["Krugash"] = {
            ["y"] = 0.614,
            ["type"] = "General Goods",
            ["name"] = "Krugash",
            ["faction"] = "Horde",
            ["x"] = 0.745,
        },
        ["Pol Snowhoof"] = {
            ["y"] = 0.537,
            ["type"] = "Trade Goods",
            ["name"] = "Pol Snowhoof",
            ["faction"] = "Horde",
            ["x"] = 0.529,
        },
        ["Erool"] = {
            ["y"] = 0.619,
            ["type"] = "Trade Goods",
            ["name"] = "Erool",
            ["faction"] = "Horde",
            ["x"] = 0.76,
        },
        ["Xerintha Ravenoak"] = {
            ["y"] = 0.403,
            ["x"] = 0.624,
            ["name"] = "Xerintha Ravenoak",
            ["type"] = "Food and Drink",
        },
        ["Noko Moonwhisper"] = {
            ["y"] = 0.402,
            ["x"] = 0.622,
            ["name"] = "Noko Moonwhisper",
            ["type"] = "Reagent Vendor",
        },
        ["Fizit \"Doc\" Clocktock"] = {
            ["y"] = 0.682,
            ["type"] = "Innkeeper",
            ["name"] = "Fizit \"Doc\" Clocktock",
            ["faction"] = "Alliance",
            ["x"] = 0.609,
        },
        ["Karnaze"] = {
            ["y"] = 0.575,
            ["type"] = "General Goods",
            ["name"] = "Karnaze",
            ["faction"] = "Horde",
            ["x"] = 0.514,
        },
        ["Gholah"] = {
            ["y"] = 0.554,
            ["type"] = "Innkeeper",
            ["name"] = "Gholah",
            ["faction"] = "Horde",
            ["x"] = 0.533,
        },
        ["Caoileann"] = {
            ["y"] = 0.648,
            ["type"] = "Trade Goods",
            ["name"] = "Caoileann",
            ["faction"] = "Alliance",
            ["x"] = 0.382,
        },
        ["Innkeeper Shaunessy"] = {
            ["y"] = 0.638,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Shaunessy",
            ["faction"] = "Alliance",
            ["x"] = 0.358,
        },
        ["Rashere Pridehoof"] = {
            ["y"] = 0.389,
            ["x"] = 0.627,
            ["name"] = "Rashere Pridehoof",
            ["type"] = "Trade Goods",
        },
        ["Braagor"] = {
            ["y"] = 0.602,
            ["type"] = "Butcher",
            ["name"] = "Braagor",
            ["faction"] = "Horde",
            ["x"] = 0.76,
        },
        ["Cahill"] = {
            ["y"] = 0.639,
            ["type"] = "Weaponsmith",
            ["name"] = "Cahill",
            ["faction"] = "Alliance",
            ["x"] = 0.377,
        },
        ["Zinyen Swiftstrider"] = {
            ["y"] = 0.384,
            ["x"] = 0.616,
            ["name"] = "Zinyen Swiftstrider",
            ["type"] = "Weapon Vendor",
        },
        ["Tanaide"] = {
            ["y"] = 0.66,
            ["type"] = "General Goods",
            ["name"] = "Tanaide",
            ["faction"] = "Alliance",
            ["x"] = 0.377,
        },
        ["Sassa Weldwell"] = {
            ["y"] = 0.689,
            ["type"] = "Trade Goods",
            ["name"] = "Sassa Weldwell",
            ["faction"] = "Alliance",
            ["x"] = 0.613,
        },
        ["Ragar"] = {
            ["y"] = 0.656,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Ragar",
            ["faction"] = "Horde",
            ["x"] = 0.765,
        },
        ["Bossi Pentapiston"] = {
            ["y"] = 0.689,
            ["type"] = "Engineering Supplies",
            ["name"] = "Bossi Pentapiston",
            ["faction"] = "Alliance",
            ["x"] = 0.602,
        },
        ["Matron Varah"] = {
            ["y"] = 0.603,
            ["type"] = "Innkeeper",
            ["name"] = "Matron Varah",
            ["faction"] = "Horde",
            ["x"] = 0.76,
        },
        ["Cymbre Starsong"] = {
            ["y"] = 0.393,
            ["x"] = 0.612,
            ["name"] = "Cymbre Starsong",
            ["type"] = "General Goods",
        },
    },
    ["Undercity"] = {
        ["Merill Pleasance"] = {
            ["y"] = 0.444,
            ["type"] = "Tabard Vendor",
            ["name"] = "Merill Pleasance",
            ["faction"] = "Horde",
            ["x"] = 0.692,
        },
        ["Jonathan Chambers"] = {
            ["y"] = 0.608,
            ["type"] = "Bag Vendor",
            ["name"] = "Jonathan Chambers",
            ["faction"] = "Horde",
            ["x"] = 0.696,
        },
        ["Felicia Doan"] = {
            ["y"] = 0.502,
            ["type"] = "General Trade Goods Vendor",
            ["name"] = "Felicia Doan",
            ["faction"] = "Horde",
            ["x"] = 0.643,
        },
        ["Ezekiel Graves"] = {
            ["y"] = 0.515,
            ["type"] = "Poison Vendor",
            ["name"] = "Ezekiel Graves",
            ["faction"] = "Horde",
            ["x"] = 0.756,
        },
        ["Gillian Moore"] = {
            ["y"] = 0.589,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Gillian Moore",
            ["faction"] = "Horde",
            ["x"] = 0.705,
        },
        ["Charles Seaton"] = {
            ["y"] = 0.5,
            ["type"] = "Blade Merchant",
            ["name"] = "Charles Seaton",
            ["faction"] = "Horde",
            ["x"] = 0.771,
        },
        ["Mirelle Tremayne"] = {
            ["y"] = 0.288,
            ["type"] = "Heavy Armor Merchant",
            ["name"] = "Mirelle Tremayne",
            ["faction"] = "Horde",
            ["x"] = 0.614,
        },
        ["Francis Eliot"] = {
            ["y"] = 0.326,
            ["type"] = "Weapon Merchant",
            ["name"] = "Francis Eliot",
            ["faction"] = "Horde",
            ["x"] = 0.585,
        },
        ["Thomas Mordan"] = {
            ["y"] = 0.392,
            ["type"] = "Reagent Vendor",
            ["name"] = "Thomas Mordan",
            ["faction"] = "Horde",
            ["x"] = 0.694,
        },
        ["Millie Gregorian"] = {
            ["y"] = 0.296,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Millie Gregorian",
            ["faction"] = "Horde",
            ["x"] = 0.708,
        },
        ["Benijah Fenner"] = {
            ["y"] = 0.327,
            ["type"] = "Weapon Merchant",
            ["name"] = "Benijah Fenner",
            ["faction"] = "Horde",
            ["x"] = 0.583,
        },
        ["Ronald Burch"] = {
            ["y"] = 0.434,
            ["type"] = "Cooking Supplier",
            ["name"] = "Ronald Burch",
            ["faction"] = "Horde",
            ["x"] = 0.624,
        },
        ["Nicholas Atwood"] = {
            ["y"] = 0.271,
            ["type"] = "Gun Merchant",
            ["name"] = "Nicholas Atwood",
            ["faction"] = "Horde",
            ["x"] = 0.623,
        },
        ["Zane Bradford"] = {
            ["y"] = 0.272,
            ["type"] = "Wand Vendor",
            ["name"] = "Zane Bradford",
            ["faction"] = "Horde",
            ["x"] = 0.699,
        },
        ["Geoffrey Hartwell"] = {
            ["y"] = 0.326,
            ["type"] = "Weapon Merchant",
            ["name"] = "Geoffrey Hartwell",
            ["faction"] = "Horde",
            ["x"] = 0.583,
        },
        ["Innkeeper Norman"] = {
            ["y"] = 0.382,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Norman",
            ["faction"] = "Horde",
            ["x"] = 0.677,
        },
        ["Daniel Bartlett"] = {
            ["y"] = 0.377,
            ["type"] = "General Trade Supplier",
            ["name"] = "Daniel Bartlett",
            ["faction"] = "Horde",
            ["x"] = 0.642,
        },
        ["Walter Ellingson"] = {
            ["y"] = 0.39,
            ["type"] = "Heavy Armor Merchant",
            ["name"] = "Walter Ellingson",
            ["faction"] = "Horde",
            ["x"] = 0.625,
        },
        ["Lizbeth Cromwell"] = {
            ["y"] = 0.31,
            ["type"] = "Fishing Supplier",
            ["name"] = "Lizbeth Cromwell",
            ["faction"] = "Horde",
            ["x"] = 0.812,
        },
        ["Ralston Farnsley"] = {
            ["y"] = 0.291,
            ["type"] = "Horde Cloth Quartermaster",
            ["name"] = "Ralston Farnsley",
            ["faction"] = "Horde",
            ["x"] = 0.718,
        },
        ["Thaddeus Webb"] = {
            ["y"] = 0.607,
            ["type"] = "Enchanting Supplies",
            ["name"] = "Thaddeus Webb",
            ["faction"] = "Horde",
            ["x"] = 0.62,
        },
        ["Samuel Van Brunt"] = {
            ["y"] = 0.295,
            ["type"] = "Blacksmithing Supplier",
            ["name"] = "Samuel Van Brunt",
            ["faction"] = "Horde",
            ["x"] = 0.613,
        },
        ["Jeremiah Payson"] = {
            ["y"] = 0.446,
            ["type"] = "Cockroach Vendor",
            ["name"] = "Jeremiah Payson",
            ["faction"] = "Horde",
            ["x"] = 0.675,
        },
        ["Sheldon Von Croy"] = {
            ["y"] = 0.289,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Sheldon Von Croy",
            ["faction"] = "Horde",
            ["x"] = 0.706,
        },
        ["Abigail Sawyer"] = {
            ["y"] = 0.381,
            ["type"] = "Bow Merchant",
            ["name"] = "Abigail Sawyer",
            ["faction"] = "Horde",
            ["x"] = 0.548,
        },
        ["Lucille Castleton"] = {
            ["y"] = 0.293,
            ["type"] = "Robe Vendor",
            ["name"] = "Lucille Castleton",
            ["faction"] = "Horde",
            ["x"] = 0.71,
        },
        ["Sarah Killian"] = {
            ["y"] = 0.369,
            ["type"] = "Mining Supplier",
            ["name"] = "Sarah Killian",
            ["faction"] = "Horde",
            ["x"] = 0.562,
        },
        ["Katrina Alliestar"] = {
            ["y"] = 0.495,
            ["type"] = "Herbalism Supplier",
            ["name"] = "Katrina Alliestar",
            ["faction"] = "Horde",
            ["x"] = 0.546,
        },
        ["Nathaniel Steenwick"] = {
            ["y"] = 0.503,
            ["type"] = "Thrown Weapons Merchant",
            ["name"] = "Nathaniel Steenwick",
            ["faction"] = "Horde",
            ["x"] = 0.774,
        },
        ["Joseph Moore"] = {
            ["y"] = 0.589,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Joseph Moore",
            ["faction"] = "Horde",
            ["x"] = 0.704,
        },
        ["Lauren Newcomb"] = {
            ["y"] = 0.381,
            ["type"] = "Light Armor Merchant",
            ["name"] = "Lauren Newcomb",
            ["faction"] = "Horde",
            ["x"] = 0.641,
        },
        ["Gordon Wendham"] = {
            ["y"] = 0.418,
            ["type"] = "Weapons Merchant",
            ["name"] = "Gordon Wendham",
            ["faction"] = "Horde",
            ["x"] = 0.617,
        },
        ["Hannah Akeley"] = {
            ["y"] = 0.161,
            ["type"] = "Reagent Supplier",
            ["name"] = "Hannah Akeley",
            ["faction"] = "Horde",
            ["x"] = 0.826,
        },
        ["Louis Warren"] = {
            ["y"] = 0.413,
            ["type"] = "Weapons Merchant",
            ["name"] = "Louis Warren",
            ["faction"] = "Horde",
            ["x"] = 0.614,
        },
        ["Eleanor Rusk"] = {
            ["y"] = 0.486,
            ["type"] = "General Goods Vendor",
            ["name"] = "Eleanor Rusk",
            ["faction"] = "Horde",
            ["x"] = 0.689,
        },
        ["Sydney Upton"] = {
            ["y"] = 0.274,
            ["type"] = "Staff Merchant",
            ["name"] = "Sydney Upton",
            ["faction"] = "Horde",
            ["x"] = 0.699,
        },
    },
    ["Desolace"] = {
        ["Muuran"] = {
            ["y"] = 0.565,
            ["type"] = "Superior Macecrafter",
            ["name"] = "Muuran",
            ["faction"] = "Horde",
            ["x"] = 0.556,
        },
        ["Kireena"] = {
            ["y"] = 0.535,
            ["type"] = "Trade Goods",
            ["name"] = "Kireena",
            ["faction"] = "Horde",
            ["x"] = 0.51,
        },
        ["Wulan"] = {
            ["y"] = 0.697,
            ["type"] = "Cooking Supplies",
            ["name"] = "Wulan",
            ["faction"] = "Horde",
            ["x"] = 0.262,
        },
        ["Tukk"] = {
            ["y"] = 0.718,
            ["type"] = "General Goods Vendor",
            ["name"] = "Tukk",
            ["faction"] = "Horde",
            ["x"] = 0.25,
        },
        ["Innkeeper Lyshaerya"] = {
            ["y"] = 0.067,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Lyshaerya",
            ["faction"] = "Alliance",
            ["x"] = 0.663,
        },
        ["Maxton Strang"] = {
            ["y"] = 0.084,
            ["type"] = "Mail Armor Merchant",
            ["name"] = "Maxton Strang",
            ["faction"] = "Alliance",
            ["x"] = 0.679,
        },
        ["Innkeeper Sikewa"] = {
            ["y"] = 0.682,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Sikewa",
            ["faction"] = "Horde",
            ["x"] = 0.241,
        },
        ["Mai\'Lahii"] = {
            ["y"] = 0.721,
            ["type"] = "Fishing Supplies",
            ["name"] = "Mai\'Lahii",
            ["faction"] = "Horde",
            ["x"] = 0.227,
        },
        ["Christi Galvanis"] = {
            ["y"] = 0.069,
            ["type"] = "General Goods",
            ["name"] = "Christi Galvanis",
            ["faction"] = "Alliance",
            ["x"] = 0.666,
        },
        ["Lah\'Mawhani"] = {
            ["y"] = 0.717,
            ["type"] = "Trade Supplies",
            ["name"] = "Lah\'Mawhani",
            ["faction"] = "Horde",
            ["x"] = 0.231,
        },
    },
    ["Western Plaguelands"] = {
        ["Leonard Porter"] = {
            ["y"] = 0.843,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Leonard Porter",
            ["faction"] = "Alliance",
            ["x"] = 0.43,
        },
    },
    ["Dun Morogh"] = {
        ["Kazan Mogosh"] = {
            ["y"] = 0.545,
            ["type"] = "Food & Drink Merchant",
            ["name"] = "Kazan Mogosh",
            ["faction"] = "Alliance",
            ["x"] = 0.684,
        },
        ["Innkeeper Belm"] = {
            ["y"] = 0.525,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Belm",
            ["faction"] = "Alliance",
            ["x"] = 0.474,
        },
        ["Loslor Rudge"] = {
            ["y"] = 0.494,
            ["type"] = "Engineering Supplies",
            ["name"] = "Loslor Rudge",
            ["faction"] = "Alliance",
            ["x"] = 0.501,
        },
        ["Grawn Thromwyn"] = {
            ["y"] = 0.521,
            ["type"] = "Weaponsmith",
            ["name"] = "Grawn Thromwyn",
            ["faction"] = "Alliance",
            ["x"] = 0.453,
        },
        ["Adlin Pridedrift"] = {
            ["y"] = 0.715,
            ["type"] = "General Supplies",
            ["name"] = "Adlin Pridedrift",
            ["faction"] = "Alliance",
            ["x"] = 0.3,
        },
        ["Thrawn Boltar"] = {
            ["y"] = 0.516,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Thrawn Boltar",
            ["faction"] = "Alliance",
            ["x"] = 0.453,
        },
        ["Rybrad Coldbank"] = {
            ["y"] = 0.678,
            ["type"] = "Weaponsmith",
            ["name"] = "Rybrad Coldbank",
            ["faction"] = "Alliance",
            ["x"] = 0.286,
        },
        ["Milli Featherwhistle"] = {
            ["y"] = 0.48,
            ["type"] = "Mechanostrider Merchant",
            ["name"] = "Milli Featherwhistle",
            ["faction"] = "Alliance",
            ["x"] = 0.492,
        },
        ["Kreg Bilmn"] = {
            ["y"] = 0.524,
            ["type"] = "General Supplies",
            ["name"] = "Kreg Bilmn",
            ["faction"] = "Alliance",
            ["x"] = 0.472,
        },
        ["Hegnar Rumbleshot"] = {
            ["y"] = 0.651,
            ["type"] = "Gunsmith",
            ["name"] = "Hegnar Rumbleshot",
            ["faction"] = "Alliance",
            ["x"] = 0.407,
        },
        ["Golorn Frostbeard"] = {
            ["y"] = 0.537,
            ["type"] = "Tradesman",
            ["name"] = "Golorn Frostbeard",
            ["faction"] = "Alliance",
            ["x"] = 0.467,
        },
        ["Gretta Ganter"] = {
            ["y"] = 0.447,
            ["type"] = "Fisherman Supplies",
            ["name"] = "Gretta Ganter",
            ["faction"] = "Alliance",
            ["x"] = 0.315,
        },
        ["Gamili Frosthide"] = {
            ["y"] = 0.519,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Gamili Frosthide",
            ["faction"] = "Alliance",
            ["x"] = 0.452,
        },
        ["Durnan Furcutter"] = {
            ["y"] = 0.664,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Durnan Furcutter",
            ["faction"] = "Alliance",
            ["x"] = 0.288,
        },
        ["Burdrak Harglhelm"] = {
            ["y"] = 0.453,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Burdrak Harglhelm",
            ["faction"] = "Alliance",
            ["x"] = 0.302,
        },
    },
    ["Tanaris"] = {
        ["Krinkle Goodsteel"] = {
            ["y"] = 0.288,
            ["x"] = 0.515,
            ["name"] = "Krinkle Goodsteel",
            ["type"] = "Blacksmithing Supplies",
        },
        ["Alurmi"] = {
            ["y"] = 0.576,
            ["x"] = 0.636,
            ["name"] = "Alurmi",
            ["type"] = "Keepers of Time Quartermaster",
        },
        ["Dirge Quikcleave"] = {
            ["y"] = 0.281,
            ["x"] = 0.526,
            ["name"] = "Dirge Quikcleave",
            ["type"] = "Butcher",
        },
        ["Blizrik Buckshot"] = {
            ["y"] = 0.276,
            ["x"] = 0.508,
            ["name"] = "Blizrik Buckshot",
            ["type"] = "Gunsmith",
        },
        ["Alchemist Pestlezugg"] = {
            ["y"] = 0.27,
            ["x"] = 0.509,
            ["name"] = "Alchemist Pestlezugg",
            ["type"] = "Alchemy Supplies",
        },
        ["Jabbey"] = {
            ["y"] = 0.22,
            ["x"] = 0.67,
            ["name"] = "Jabbey",
            ["type"] = "General Goods",
        },
        ["Wrinkle Goodsteel"] = {
            ["y"] = 0.276,
            ["x"] = 0.508,
            ["name"] = "Wrinkle Goodsteel",
            ["type"] = "Superior Armor Crafter",
        },
        ["Vizzklick"] = {
            ["y"] = 0.274,
            ["x"] = 0.51,
            ["name"] = "Vizzklick",
            ["type"] = "Tailoring Supplies",
        },
        ["Innkeeper Fizzgrimble"] = {
            ["y"] = 0.279,
            ["x"] = 0.525,
            ["name"] = "Innkeeper Fizzgrimble",
            ["type"] = "Innkeeper",
        },
    },
    ["Stormwind City"] = {
        ["Heinrich Stone"] = {
            ["y"] = 0.428,
            ["type"] = "Blade Merchant",
            ["name"] = "Heinrich Stone",
            ["faction"] = "Alliance",
            ["x"] = 0.742,
        },
        ["Duncan Cullen"] = {
            ["y"] = 0.743,
            ["type"] = "Light Armor Merchant",
            ["name"] = "Duncan Cullen",
            ["faction"] = "Alliance",
            ["x"] = 0.435,
        },
        ["Erika Tate"] = {
            ["y"] = 0.369,
            ["type"] = "Cooking Supplier",
            ["name"] = "Erika Tate",
            ["faction"] = "Alliance",
            ["x"] = 0.759,
        },
        ["Gunther Weller"] = {
            ["y"] = 0.573,
            ["type"] = "Weapons Merchant",
            ["name"] = "Gunther Weller",
            ["faction"] = "Alliance",
            ["x"] = 0.573,
        },
        ["Agustus Moulaine"] = {
            ["y"] = 0.432,
            ["type"] = "Mail Armor Merchant",
            ["name"] = "Agustus Moulaine",
            ["faction"] = "Alliance",
            ["x"] = 0.438,
        },
        ["Eldraeith"] = {
            ["y"] = 0.787,
            ["type"] = "Herbalism Supplier",
            ["name"] = "Eldraeith",
            ["faction"] = "Alliance",
            ["x"] = 0.465,
        },
        ["Gregory Ardus"] = {
            ["y"] = 0.394,
            ["type"] = "Staff & Mace Merchant",
            ["name"] = "Gregory Ardus",
            ["faction"] = "Alliance",
            ["x"] = 0.37,
        },
        ["Bryan Cross"] = {
            ["y"] = 0.429,
            ["type"] = "Shield Merchant",
            ["name"] = "Bryan Cross",
            ["faction"] = "Alliance",
            ["x"] = 0.642,
        },
        ["Edna Mullby"] = {
            ["y"] = 0.607,
            ["type"] = "Trade Supplier",
            ["name"] = "Edna Mullby",
            ["faction"] = "Alliance",
            ["x"] = 0.581,
        },
        ["Brooke Stonebraid"] = {
            ["y"] = 0.168,
            ["type"] = "Mining Supplier",
            ["name"] = "Brooke Stonebraid",
            ["faction"] = "Alliance",
            ["x"] = 0.512,
        },
        ["Ardwyn Cailen"] = {
            ["y"] = 0.655,
            ["type"] = "Wand Merchant",
            ["name"] = "Ardwyn Cailen",
            ["faction"] = "Alliance",
            ["x"] = 0.429,
        },
        ["Billibub Cogspinner"] = {
            ["y"] = 0.074,
            ["type"] = "Engineering Supplier",
            ["name"] = "Billibub Cogspinner",
            ["faction"] = "Alliance",
            ["x"] = 0.552,
        },
        ["Kyra Boucher"] = {
            ["y"] = 0.651,
            ["type"] = "Reagent Vendor",
            ["name"] = "Kyra Boucher",
            ["faction"] = "Alliance",
            ["x"] = 0.562,
        },
        ["Gerik Koen"] = {
            ["y"] = 0.424,
            ["type"] = "Two Handed Weapon Merchant",
            ["name"] = "Gerik Koen",
            ["faction"] = "Alliance",
            ["x"] = 0.691,
        },
        ["Darian Singh"] = {
            ["y"] = 0.679,
            ["type"] = "Fireworks Vendor",
            ["name"] = "Darian Singh",
            ["faction"] = "Alliance",
            ["x"] = 0.297,
        },
        ["Brother Cassius"] = {
            ["y"] = 0.268,
            ["type"] = "Reagent Vendor",
            ["name"] = "Brother Cassius",
            ["faction"] = "Alliance",
            ["x"] = 0.433,
        },
        ["Catherine Leland"] = {
            ["y"] = 0.583,
            ["type"] = "Fishing Supplier",
            ["name"] = "Catherine Leland",
            ["faction"] = "Alliance",
            ["x"] = 0.458,
        },
        ["Officer Areyn"] = {
            ["y"] = 0.533,
            ["type"] = "Accessories Quartermaster",
            ["name"] = "Officer Areyn",
            ["faction"] = "Alliance",
            ["x"] = 0.737,
        },
        ["Lara Moore"] = {
            ["y"] = 0.556,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Lara Moore",
            ["faction"] = "Alliance",
            ["x"] = 0.549,
        },
        ["Maria Lumere"] = {
            ["y"] = 0.789,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Maria Lumere",
            ["faction"] = "Alliance",
            ["x"] = 0.466,
        },
        ["Marda Weller"] = {
            ["y"] = 0.571,
            ["type"] = "Weapons Merchant",
            ["name"] = "Marda Weller",
            ["faction"] = "Alliance",
            ["x"] = 0.572,
        },
        ["Lina Stover"] = {
            ["y"] = 0.574,
            ["type"] = "Bow & Gun Merchant",
            ["name"] = "Lina Stover",
            ["faction"] = "Alliance",
            ["x"] = 0.505,
        },
        ["Alyssa Griffith"] = {
            ["y"] = 0.491,
            ["type"] = "Bag Vendor",
            ["name"] = "Alyssa Griffith",
            ["faction"] = "Alliance",
            ["x"] = 0.673,
        },
        ["Kaita Deepforge"] = {
            ["y"] = 0.17,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Kaita Deepforge",
            ["faction"] = "Alliance",
            ["x"] = 0.564,
        },
        ["Kathrum Axehand"] = {
            ["y"] = 0.124,
            ["type"] = "Axe Merchant",
            ["name"] = "Kathrum Axehand",
            ["faction"] = "Alliance",
            ["x"] = 0.514,
        },
        ["Keldric Boucher"] = {
            ["y"] = 0.652,
            ["type"] = "Arcane Goods Vendor",
            ["name"] = "Keldric Boucher",
            ["faction"] = "Alliance",
            ["x"] = 0.559,
        },
        ["Julia Gallina"] = {
            ["y"] = 0.684,
            ["type"] = "Wine Vendor",
            ["name"] = "Julia Gallina",
            ["faction"] = "Alliance",
            ["x"] = 0.519,
        },
        ["Allan Hafgan"] = {
            ["y"] = 0.656,
            ["type"] = "Staves Merchant",
            ["name"] = "Allan Hafgan",
            ["faction"] = "Alliance",
            ["x"] = 0.43,
        },
        ["Jillian Tanner"] = {
            ["y"] = 0.495,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Jillian Tanner",
            ["faction"] = "Alliance",
            ["x"] = 0.672,
        },
        ["Carla Granger"] = {
            ["y"] = 0.559,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Carla Granger",
            ["faction"] = "Alliance",
            ["x"] = 0.549,
        },
        ["Jessara Cordell"] = {
            ["y"] = 0.642,
            ["type"] = "Enchanting Supplies",
            ["name"] = "Jessara Cordell",
            ["faction"] = "Alliance",
            ["x"] = 0.43,
        },
        ["Felicia Gump"] = {
            ["y"] = 0.606,
            ["type"] = "Herbalism Supplier",
            ["name"] = "Felicia Gump",
            ["faction"] = "Alliance",
            ["x"] = 0.643,
        },
        ["Innkeeper Allison"] = {
            ["y"] = 0.656,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Allison",
            ["faction"] = "Alliance",
            ["x"] = 0.527,
        },
        ["Aldric Moore"] = {
            ["y"] = 0.552,
            ["type"] = "Mail Armor Merchant",
            ["name"] = "Aldric Moore",
            ["faction"] = "Alliance",
            ["x"] = 0.548,
        },
        ["Borgus Steelhand"] = {
            ["y"] = 0.127,
            ["type"] = "Weapon Crafter",
            ["name"] = "Borgus Steelhand",
            ["faction"] = "Alliance",
            ["x"] = 0.515,
        },
        ["Frederick Stover"] = {
            ["y"] = 0.577,
            ["type"] = "Bow & Arrow Merchant",
            ["name"] = "Frederick Stover",
            ["faction"] = "Alliance",
            ["x"] = 0.502,
        },
        ["Alexandra Bolero"] = {
            ["y"] = 0.74,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Alexandra Bolero",
            ["faction"] = "Alliance",
            ["x"] = 0.435,
        },
        ["Clavicus Knavingham"] = {
            ["y"] = 0.737,
            ["type"] = "Alliance Cloth Quartermaster",
            ["name"] = "Clavicus Knavingham",
            ["faction"] = "Alliance",
            ["x"] = 0.442,
        },
        ["Charys Yserian"] = {
            ["y"] = 0.8,
            ["type"] = "Arcane Trinkets Vendor",
            ["name"] = "Charys Yserian",
            ["faction"] = "Alliance",
            ["x"] = 0.324,
        },
    },
    ["Tirisfal Glades"] = {
        ["Archibald Kava"] = {
            ["y"] = 0.656,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Archibald Kava",
            ["faction"] = "Horde",
            ["x"] = 0.324,
        },
        ["Joshua Kien"] = {
            ["y"] = 0.655,
            ["type"] = "General Supplies",
            ["name"] = "Joshua Kien",
            ["faction"] = "Horde",
            ["x"] = 0.323,
        },
        ["Werg Thickblade"] = {
            ["y"] = 0.697,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Werg Thickblade",
            ["faction"] = "Horde",
            ["x"] = 0.832,
        },
        ["Mrs. Winters"] = {
            ["y"] = 0.526,
            ["type"] = "General Supplies",
            ["name"] = "Mrs. Winters",
            ["faction"] = "Horde",
            ["x"] = 0.611,
        },
        ["Eliza Callen"] = {
            ["y"] = 0.528,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Eliza Callen",
            ["faction"] = "Horde",
            ["x"] = 0.604,
        },
        ["Abigail Shiel"] = {
            ["y"] = 0.524,
            ["type"] = "Trade Supplies",
            ["name"] = "Abigail Shiel",
            ["faction"] = "Horde",
            ["x"] = 0.61,
        },
        ["Zachariah Post"] = {
            ["y"] = 0.526,
            ["type"] = "Undead Horse Merchant",
            ["name"] = "Zachariah Post",
            ["faction"] = "Horde",
            ["x"] = 0.599,
        },
        ["Innkeeper Renee"] = {
            ["y"] = 0.521,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Renee",
            ["faction"] = "Horde",
            ["x"] = 0.617,
        },
        ["Selina Weston"] = {
            ["y"] = 0.5,
            ["type"] = "Alchemy & Herbalism Supplies",
            ["name"] = "Selina Weston",
            ["faction"] = "Horde",
            ["x"] = 0.618,
        },
        ["Martine Tramblay"] = {
            ["y"] = 0.597,
            ["type"] = "Fishing Supplies",
            ["name"] = "Martine Tramblay",
            ["faction"] = "Horde",
            ["x"] = 0.658,
        },
    },
    ["Durotar"] = {
        ["Zlagk"] = {
            ["y"] = 0.673,
            ["type"] = "Butcher",
            ["name"] = "Zlagk",
            ["faction"] = "Horde",
            ["x"] = 0.427,
        },
        ["Grimtak"] = {
            ["y"] = 0.426,
            ["type"] = "Butcher",
            ["name"] = "Grimtak",
            ["faction"] = "Horde",
            ["x"] = 0.512,
        },
        ["Zansoa"] = {
            ["y"] = 0.734,
            ["type"] = "Fishing Supplies",
            ["name"] = "Zansoa",
            ["faction"] = "Horde",
            ["x"] = 0.561,
        },
        ["Cutac"] = {
            ["y"] = 0.409,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Cutac",
            ["faction"] = "Horde",
            ["x"] = 0.531,
        },
        ["Flakk"] = {
            ["y"] = 0.42,
            ["type"] = "Trade Supplies",
            ["name"] = "Flakk",
            ["faction"] = "Horde",
            ["x"] = 0.529,
        },
        ["Huklah"] = {
            ["y"] = 0.679,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Huklah",
            ["faction"] = "Horde",
            ["x"] = 0.406,
        },
        ["Kzan Thornslash"] = {
            ["y"] = 0.68,
            ["type"] = "Weaponsmith",
            ["name"] = "Kzan Thornslash",
            ["faction"] = "Horde",
            ["x"] = 0.405,
        },
        ["Hai\'zan"] = {
            ["y"] = 0.737,
            ["type"] = "Butcher",
            ["name"] = "Hai\'zan",
            ["faction"] = "Horde",
            ["x"] = 0.556,
        },
        ["Trayexir"] = {
            ["y"] = 0.732,
            ["type"] = "Weapon Merchant",
            ["name"] = "Trayexir",
            ["faction"] = "Horde",
            ["x"] = 0.565,
        },
        ["Tai\'tasi"] = {
            ["y"] = 0.738,
            ["type"] = "Trade Supplies",
            ["name"] = "Tai\'tasi",
            ["faction"] = "Horde",
            ["x"] = 0.564,
        },
        ["Ghrawt"] = {
            ["y"] = 0.411,
            ["type"] = "Bowyer",
            ["name"] = "Ghrawt",
            ["faction"] = "Horde",
            ["x"] = 0.53,
        },
        ["Duokna"] = {
            ["y"] = 0.674,
            ["type"] = "General Goods",
            ["name"] = "Duokna",
            ["faction"] = "Horde",
            ["x"] = 0.426,
        },
        ["Innkeeper Grosk"] = {
            ["y"] = 0.417,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Grosk",
            ["faction"] = "Horde",
            ["x"] = 0.516,
        },
        ["Uhgar"] = {
            ["y"] = 0.405,
            ["type"] = "Weaponsmith",
            ["name"] = "Uhgar",
            ["faction"] = "Horde",
            ["x"] = 0.52,
        },
        ["K\'waii"] = {
            ["y"] = 0.735,
            ["type"] = "General Goods",
            ["name"] = "K\'waii",
            ["faction"] = "Horde",
            ["x"] = 0.563,
        },
        ["Jark"] = {
            ["y"] = 0.422,
            ["type"] = "General Goods",
            ["name"] = "Jark",
            ["faction"] = "Horde",
            ["x"] = 0.543,
        },
    },
    ["Hillsbrad Foothills"] = {
        ["Bront Coldcleave"] = {
            ["y"] = 0.572,
            ["type"] = "Butcher",
            ["name"] = "Bront Coldcleave",
            ["faction"] = "Alliance",
            ["x"] = 0.488,
        },
        ["Christoph Jeffcoat"] = {
            ["y"] = 0.191,
            ["type"] = "Tradesman",
            ["name"] = "Christoph Jeffcoat",
            ["faction"] = "Horde",
            ["x"] = 0.624,
        },
        ["Innkeeper Shay"] = {
            ["y"] = 0.191,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Shay",
            ["faction"] = "Horde",
            ["x"] = 0.627,
        },
        ["Mallen Swain"] = {
            ["y"] = 0.209,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Mallen Swain",
            ["faction"] = "Horde",
            ["x"] = 0.62,
        },
        ["Ott"] = {
            ["y"] = 0.261,
            ["type"] = "Weaponsmith",
            ["name"] = "Ott",
            ["faction"] = "Horde",
            ["x"] = 0.605,
        },
        ["Innkeeper Anderson"] = {
            ["y"] = 0.589,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Anderson",
            ["faction"] = "Alliance",
            ["x"] = 0.511,
        },
        ["Nandar Branson"] = {
            ["y"] = 0.571,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Nandar Branson",
            ["faction"] = "Alliance",
            ["x"] = 0.509,
        },
        ["Micha Yance"] = {
            ["y"] = 0.551,
            ["type"] = "Trade Goods",
            ["name"] = "Micha Yance",
            ["faction"] = "Alliance",
            ["x"] = 0.49,
        },
        ["Hal McAllister"] = {
            ["y"] = 0.623,
            ["type"] = "Fish Merchant",
            ["name"] = "Hal McAllister",
            ["faction"] = "Alliance",
            ["x"] = 0.498,
        },
        ["George Candarte"] = {
            ["y"] = 0.384,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "George Candarte",
            ["faction"] = "Horde",
            ["x"] = 0.92,
        },
        ["Sarah Raycroft"] = {
            ["y"] = 0.551,
            ["type"] = "General Goods",
            ["name"] = "Sarah Raycroft",
            ["faction"] = "Alliance",
            ["x"] = 0.491,
        },
        ["Kayren Soothallow"] = {
            ["y"] = 0.199,
            ["type"] = "General Goods",
            ["name"] = "Kayren Soothallow",
            ["faction"] = "Horde",
            ["x"] = 0.625,
        },
    },
    ["The Barrens"] = {
        ["Innkeeper Boorand Plainswind"] = {
            ["y"] = 0.299,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Boorand Plainswind",
            ["faction"] = "Horde",
            ["x"] = 0.52,
        },
        ["Hraq"] = {
            ["y"] = 0.29,
            ["type"] = "Blacksmithing Supplier",
            ["name"] = "Hraq",
            ["faction"] = "Horde",
            ["x"] = 0.511,
        },
        ["Kelm Hargunth"] = {
            ["y"] = 0.084,
            ["type"] = "Warsong Supply Officer",
            ["name"] = "Kelm Hargunth",
            ["faction"] = "Horde",
            ["x"] = 0.467,
        },
        ["Sanuye Runetotem"] = {
            ["y"] = 0.59,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Sanuye Runetotem",
            ["faction"] = "Horde",
            ["x"] = 0.451,
        },
        ["Jahan Hawkwing"] = {
            ["y"] = 0.291,
            ["type"] = "Leather & Mail Armor Merchant",
            ["name"] = "Jahan Hawkwing",
            ["faction"] = "Horde",
            ["x"] = 0.512,
        },
        ["Jazzik"] = {
            ["y"] = 0.388,
            ["x"] = 0.619,
            ["name"] = "Jazzik",
            ["type"] = "General Supplies",
        },
        ["Innkeeper Wiley"] = {
            ["y"] = 0.394,
            ["x"] = 0.62,
            ["name"] = "Innkeeper Wiley",
            ["type"] = "Innkeeper",
        },
        ["Larhka"] = {
            ["y"] = 0.297,
            ["type"] = "Beverage Merchant",
            ["name"] = "Larhka",
            ["faction"] = "Horde",
            ["x"] = 0.52,
        },
        ["Pizznukle"] = {
            ["y"] = 0.386,
            ["x"] = 0.418,
            ["name"] = "Pizznukle",
            ["type"] = "Leather Armor Merchant",
        },
        ["Nargal Deatheye"] = {
            ["y"] = 0.292,
            ["type"] = "Weaponsmith",
            ["name"] = "Nargal Deatheye",
            ["faction"] = "Horde",
            ["x"] = 0.512,
        },
        ["Gahroot"] = {
            ["y"] = 0.594,
            ["type"] = "Butcher",
            ["name"] = "Gahroot",
            ["faction"] = "Horde",
            ["x"] = 0.448,
        },
        ["Ranik"] = {
            ["y"] = 0.387,
            ["x"] = 0.619,
            ["name"] = "Ranik",
            ["type"] = "Trade Supplies",
        },
        ["Tari\'qa"] = {
            ["y"] = 0.301,
            ["type"] = "Trade Supplies",
            ["name"] = "Tari\'qa",
            ["faction"] = "Horde",
            ["x"] = 0.517,
        },
        ["Innkeeper Byula"] = {
            ["y"] = 0.59,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Byula",
            ["faction"] = "Horde",
            ["x"] = 0.456,
        },
        ["Barg"] = {
            ["y"] = 0.3,
            ["type"] = "General Supplies",
            ["name"] = "Barg",
            ["faction"] = "Horde",
            ["x"] = 0.517,
        },
        ["Ironzar"] = {
            ["y"] = 0.375,
            ["x"] = 0.622,
            ["name"] = "Ironzar",
            ["type"] = "Weaponsmith",
        },
    },
    ["Shattrath City"] = {
        ["Jim Saltit"] = {
            ["y"] = 0.686,
            ["x"] = 0.636,
            ["name"] = "Jim Saltit",
            ["type"] = "Cooking Supplier",
        },
        ["Innkeeper Haelthol"] = {
            ["y"] = 0.816,
            ["x"] = 0.562,
            ["name"] = "Innkeeper Haelthol",
            ["type"] = "Innkeeper",
        },
        ["Madame Ruby"] = {
            ["y"] = 0.706,
            ["x"] = 0.634,
            ["name"] = "Madame Ruby",
            ["type"] = "Enchanting Supplies",
        },
        ["Karokka"] = {
            ["y"] = 0.193,
            ["x"] = 0.455,
            ["name"] = "Karokka",
            ["type"] = "Poison Supplies",
        },
        ["Minalei"] = {
            ["y"] = 0.49,
            ["x"] = 0.282,
            ["name"] = "Minalei",
            ["type"] = "Innkeeper",
        },
        ["Lissaf"] = {
            ["y"] = 0.176,
            ["x"] = 0.521,
            ["name"] = "Lissaf",
            ["type"] = "Blade Merchant",
        },
        ["Amshesha Stilldark"] = {
            ["y"] = 0.972,
            ["x"] = 0.437,
            ["name"] = "Amshesha Stilldark",
            ["type"] = "Reagent Vendor",
        },
        ["Kradu Grimblade"] = {
            ["y"] = 0.432,
            ["x"] = 0.697,
            ["name"] = "Kradu Grimblade",
            ["type"] = "Weapon Crafter",
        },
        ["Ernie Packwell"] = {
            ["y"] = 0.647,
            ["x"] = 0.661,
            ["name"] = "Ernie Packwell",
            ["type"] = "Trade Goods",
        },
        ["Ahemen"] = {
            ["y"] = 0.191,
            ["x"] = 0.341,
            ["name"] = "Ahemen",
            ["type"] = "Staff Vendor",
        },
        ["Zula Slagfury"] = {
            ["y"] = 0.42,
            ["x"] = 0.701,
            ["name"] = "Zula Slagfury",
            ["type"] = "Armor Crafter",
        },
        ["Yurial Soulwater"] = {
            ["y"] = 0.973,
            ["x"] = 0.44,
            ["name"] = "Yurial Soulwater",
            ["type"] = "Enchanting Supplies",
        },
        ["Quartermaster Enuril"] = {
            ["y"] = 0.642,
            ["type"] = "Scryers: Quartermaster",
            ["name"] = "Quartermaster Enuril",
            ["faction"] = "Horde",
            ["x"] = 0.605,
        },
        ["Mahir Redstroke"] = {
            ["y"] = 0.824,
            ["x"] = 0.545,
            ["name"] = "Mahir Redstroke",
            ["type"] = "Dagger Vendor",
        },
        ["Skreah"] = {
            ["y"] = 0.201,
            ["x"] = 0.46,
            ["name"] = "Skreah",
            ["type"] = "Alchemy Supplies",
        },
        ["Vinemaster Alamaro"] = {
            ["y"] = 0.97,
            ["x"] = 0.43,
            ["name"] = "Vinemaster Alamaro",
            ["type"] = "Wine Vendor",
        },
        ["Viggz Shinesparked"] = {
            ["y"] = 0.691,
            ["x"] = 0.649,
            ["name"] = "Viggz Shinesparked",
            ["type"] = "Engineering Supplies",
        },
        ["Inessera"] = {
            ["y"] = 0.202,
            ["x"] = 0.352,
            ["name"] = "Inessera",
            ["type"] = "Jewelcrafting Supplies Vendor",
        },
        ["Urumir Stavebright"] = {
            ["y"] = 0.791,
            ["x"] = 0.494,
            ["name"] = "Urumir Stavebright",
            ["type"] = "Staff Vendor",
        },
        ["Fantei"] = {
            ["y"] = 0.7,
            ["x"] = 0.646,
            ["name"] = "Fantei",
            ["type"] = "Reagent Vendor",
        },
        ["Eral"] = {
            ["y"] = 0.704,
            ["x"] = 0.62,
            ["name"] = "Eral",
            ["type"] = "General Goods",
        },
        ["Eiin"] = {
            ["y"] = 0.687,
            ["x"] = 0.662,
            ["name"] = "Eiin",
            ["type"] = "Specialty Tailoring Supplies",
        },
        ["Selanam the Blade"] = {
            ["y"] = 0.753,
            ["x"] = 0.421,
            ["name"] = "Selanam the Blade",
            ["type"] = "Sword Vendor",
        },
        ["Quelama Lightblade"] = {
            ["y"] = 0.761,
            ["x"] = 0.442,
            ["name"] = "Quelama Lightblade",
            ["type"] = "Wand Vendor",
        },
        ["Trader Endernor"] = {
            ["y"] = 0.797,
            ["x"] = 0.564,
            ["name"] = "Trader Endernor",
            ["type"] = "Trade Goods",
        },
    },
    ["Azshara"] = {
        ["Blimo Gadgetspring"] = {
            ["y"] = 0.909,
            ["x"] = 0.453,
            ["name"] = "Blimo Gadgetspring",
            ["type"] = "Trade Supplier",
        },
        ["Jubie Gadgetspring"] = {
            ["y"] = 0.909,
            ["x"] = 0.453,
            ["name"] = "Jubie Gadgetspring",
            ["type"] = "Engineering Supplier",
        },
        ["Brinna Valanaar"] = {
            ["y"] = 0.783,
            ["type"] = "Bowyer",
            ["name"] = "Brinna Valanaar",
            ["faction"] = "Alliance",
            ["x"] = 0.12,
        },
        ["Gruul Darkblade"] = {
            ["y"] = 0.512,
            ["type"] = "Weaponsmith",
            ["name"] = "Gruul Darkblade",
            ["faction"] = "Horde",
            ["x"] = 0.223,
        },
    },
    ["Swamp of Sorrows"] = {
        ["Gharash"] = {
            ["y"] = 0.515,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Gharash",
            ["faction"] = "Horde",
            ["x"] = 0.454,
        },
        ["Thultazor"] = {
            ["y"] = 0.53,
            ["type"] = "Arcane Goods Vendor",
            ["name"] = "Thultazor",
            ["faction"] = "Horde",
            ["x"] = 0.458,
        },
        ["Grimnal"] = {
            ["y"] = 0.503,
            ["type"] = "Mail & Plate Merchant",
            ["name"] = "Grimnal",
            ["faction"] = "Horde",
            ["x"] = 0.451,
        },
        ["Hartash"] = {
            ["y"] = 0.51,
            ["type"] = "Weapon Merchant",
            ["name"] = "Hartash",
            ["faction"] = "Horde",
            ["x"] = 0.458,
        },
        ["Thultash"] = {
            ["y"] = 0.542,
            ["type"] = "Food & Drink Vendor",
            ["name"] = "Thultash",
            ["faction"] = "Horde",
            ["x"] = 0.464,
        },
        ["Rartar"] = {
            ["y"] = 0.57,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Rartar",
            ["faction"] = "Horde",
            ["x"] = 0.454,
        },
        ["Thralosh"] = {
            ["y"] = 0.515,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Thralosh",
            ["faction"] = "Horde",
            ["x"] = 0.449,
        },
        ["Banalash"] = {
            ["y"] = 0.567,
            ["type"] = "Trade Goods",
            ["name"] = "Banalash",
            ["faction"] = "Horde",
            ["x"] = 0.447,
        },
        ["Innkeeper Karakul"] = {
            ["y"] = 0.565,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Karakul",
            ["faction"] = "Horde",
            ["x"] = 0.451,
        },
    },
    ["Netherstorm"] = {
        ["Qiff "] = {
            ["y"] = 0.667,
            ["x"] = 0.327,
            ["name"] = "Qiff ",
            ["type"] = "Engineering Supplies",
        },
        ["Kerpow Blastwrench"] = {
            ["y"] = 0.673,
            ["x"] = 0.66,
            ["name"] = "Kerpow Blastwrench",
            ["type"] = "Weapon Merchant",
        },
        ["Eyonix"] = {
            ["y"] = 0.361,
            ["x"] = 0.434,
            ["name"] = "Eyonix",
            ["type"] = "Innkeeper",
        },
        ["Kizzie"] = {
            ["y"] = 0.672,
            ["x"] = 0.331,
            ["name"] = "Kizzie",
            ["type"] = "General Supplies",
        },
        ["Dealer Malij"] = {
            ["y"] = 0.34,
            ["x"] = 0.442,
            ["name"] = "Dealer Malij",
            ["type"] = "Enchanting Supplies",
        },
        ["Vixton Pinchwhistle"] = {
            ["y"] = 0.642,
            ["x"] = 0.331,
            ["name"] = "Vixton Pinchwhistle",
            ["type"] = "Arena Vendor",
        },
        ["Wind Trader Tuluman"] = {
            ["y"] = 0.379,
            ["x"] = 0.346,
            ["name"] = "Wind Trader Tuluman",
            ["type"] = "Weapon Merchant",
        },
        ["Innkeeper Remi Dodoso"] = {
            ["y"] = 0.644,
            ["x"] = 0.32,
            ["name"] = "Innkeeper Remi Dodoso",
            ["type"] = "Innkeeper",
        },
        ["Dash"] = {
            ["y"] = 0.632,
            ["x"] = 0.325,
            ["name"] = "Dash",
            ["type"] = "Trade Supplies",
        },
        ["Dealer Digriz"] = {
            ["y"] = 0.35,
            ["x"] = 0.433,
            ["name"] = "Dealer Digriz",
            ["type"] = "General Goods",
        },
        ["Karaaz"] = {
            ["y"] = 0.343,
            ["x"] = 0.436,
            ["name"] = "Karaaz",
            ["type"] = "Consortium Quartermaster",
        },
        ["Dealer Aljaan"] = {
            ["y"] = 0.346,
            ["x"] = 0.439,
            ["name"] = "Dealer Aljaan",
            ["type"] = "Trade Goods",
        },
    },
    ["Darnassus"] = {
        ["Ellandrieth"] = {
            ["y"] = 0.53,
            ["type"] = "General Goods Vendor",
            ["name"] = "Ellandrieth",
            ["faction"] = "Alliance",
            ["x"] = 0.645,
        },
        ["Anadyia"] = {
            ["y"] = 0.895,
            ["type"] = "Robe Vendor",
            ["name"] = "Anadyia",
            ["faction"] = "Alliance",
            ["x"] = 0.557,
        },
        ["Yldan"] = {
            ["y"] = 0.53,
            ["type"] = "Bag Merchant",
            ["name"] = "Yldan",
            ["faction"] = "Alliance",
            ["x"] = 0.654,
        },
        ["Cyroen"] = {
            ["y"] = 0.095,
            ["type"] = "Reagent Vendor",
            ["name"] = "Cyroen",
            ["faction"] = "Alliance",
            ["x"] = 0.341,
        },
        ["Merelyssa"] = {
            ["y"] = 0.599,
            ["type"] = "Blade Merchant",
            ["name"] = "Merelyssa",
            ["faction"] = "Alliance",
            ["x"] = 0.651,
        },
        ["Innkeeper Saelienne"] = {
            ["y"] = 0.157,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Saelienne",
            ["faction"] = "Alliance",
            ["x"] = 0.672,
        },
        ["Kyrai"] = {
            ["y"] = 0.198,
            ["type"] = "Poison Vendor",
            ["name"] = "Kyrai",
            ["faction"] = "Alliance",
            ["x"] = 0.328,
        },
        ["Mydrannul"] = {
            ["y"] = 0.452,
            ["type"] = "General Goods Vendor",
            ["name"] = "Mydrannul",
            ["faction"] = "Alliance",
            ["x"] = 0.704,
        },
        ["Vaean"] = {
            ["y"] = 0.144,
            ["type"] = "Enchanting Supplies",
            ["name"] = "Vaean",
            ["faction"] = "Alliance",
            ["x"] = 0.585,
        },
        ["Vinasia"] = {
            ["y"] = 0.722,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Vinasia",
            ["faction"] = "Alliance",
            ["x"] = 0.605,
        },
        ["Talaelar"] = {
            ["y"] = 0.572,
            ["type"] = "Fish Vendor",
            ["name"] = "Talaelar",
            ["faction"] = "Alliance",
            ["x"] = 0.474,
        },
        ["Turian"] = {
            ["y"] = 0.655,
            ["type"] = "Thrown Weapons Merchant",
            ["name"] = "Turian",
            ["faction"] = "Alliance",
            ["x"] = 0.625,
        },
        ["Saenorion"] = {
            ["y"] = 0.221,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Saenorion",
            ["faction"] = "Alliance",
            ["x"] = 0.638,
        },
        ["Mythidan"] = {
            ["y"] = 0.605,
            ["type"] = "Mace & Staff Merchant",
            ["name"] = "Mythidan",
            ["faction"] = "Alliance",
            ["x"] = 0.651,
        },
        ["Andrus"] = {
            ["y"] = 0.89,
            ["type"] = "Staff Merchant",
            ["name"] = "Andrus",
            ["faction"] = "Alliance",
            ["x"] = 0.558,
        },
        ["Raedon Duskstriker"] = {
            ["y"] = 0.23,
            ["type"] = "Alliance Cloth Quartermaster",
            ["name"] = "Raedon Duskstriker",
            ["faction"] = "Alliance",
            ["x"] = 0.638,
        },
        ["Mythrin\'dir"] = {
            ["y"] = 0.179,
            ["type"] = "General Trade Supplier",
            ["name"] = "Mythrin\'dir",
            ["faction"] = "Alliance",
            ["x"] = 0.61,
        },
        ["Voloren"] = {
            ["y"] = 0.567,
            ["type"] = "Fishing Supplier",
            ["name"] = "Voloren",
            ["faction"] = "Alliance",
            ["x"] = 0.47,
        },
        ["Melea"] = {
            ["y"] = 0.769,
            ["type"] = "Mail Armor Merchant",
            ["name"] = "Melea",
            ["faction"] = "Alliance",
            ["x"] = 0.571,
        },
        ["Elynna"] = {
            ["y"] = 0.216,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Elynna",
            ["faction"] = "Alliance",
            ["x"] = 0.644,
        },
        ["Kieran"] = {
            ["y"] = 0.599,
            ["type"] = "Weapon Merchant",
            ["name"] = "Kieran",
            ["faction"] = "Alliance",
            ["x"] = 0.654,
        },
        ["Caynrus"] = {
            ["y"] = 0.76,
            ["type"] = "Shield Merchant",
            ["name"] = "Caynrus",
            ["faction"] = "Alliance",
            ["x"] = 0.566,
        },
        ["Ariyell Skyshadow"] = {
            ["y"] = 0.449,
            ["type"] = "Weapon Merchant",
            ["name"] = "Ariyell Skyshadow",
            ["faction"] = "Alliance",
            ["x"] = 0.587,
        },
        ["Fyrenna"] = {
            ["y"] = 0.446,
            ["type"] = "Food & Drink Vendor",
            ["name"] = "Fyrenna",
            ["faction"] = "Alliance",
            ["x"] = 0.693,
        },
        ["Cyridan"] = {
            ["y"] = 0.802,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Cyridan",
            ["faction"] = "Alliance",
            ["x"] = 0.531,
        },
        ["Glorandiir"] = {
            ["y"] = 0.59,
            ["type"] = "Axe Merchant",
            ["name"] = "Glorandiir",
            ["faction"] = "Alliance",
            ["x"] = 0.64,
        },
        ["Landria"] = {
            ["y"] = 0.666,
            ["type"] = "Bow Merchant",
            ["name"] = "Landria",
            ["faction"] = "Alliance",
            ["x"] = 0.633,
        },
        ["Ulthir"] = {
            ["y"] = 0.246,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Ulthir",
            ["faction"] = "Alliance",
            ["x"] = 0.56,
        },
        ["Chardryn"] = {
            ["y"] = 0.691,
            ["type"] = "Herbalism Supplier",
            ["name"] = "Chardryn",
            ["faction"] = "Alliance",
            ["x"] = 0.483,
        },
        ["Fyldan"] = {
            ["y"] = 0.214,
            ["type"] = "Cooking Supplier",
            ["name"] = "Fyldan",
            ["faction"] = "Alliance",
            ["x"] = 0.486,
        },
        ["Ealyshia Dewwhisper"] = {
            ["y"] = 0.717,
            ["type"] = "Two Handed Weapon Merchant",
            ["name"] = "Ealyshia Dewwhisper",
            ["faction"] = "Alliance",
            ["x"] = 0.602,
        },
    },
    ["Azuremyst Isle"] = {
        ["Jel"] = {
            ["y"] = 0.473,
            ["type"] = "Cloth & Leather Merchant",
            ["name"] = "Jel",
            ["faction"] = "Alliance",
            ["x"] = 0.804,
        },
        ["Nabek"] = {
            ["y"] = 0.53,
            ["type"] = "Weapons and Armor Merchant",
            ["name"] = "Nabek",
            ["faction"] = "Alliance",
            ["x"] = 0.496,
        },
        ["Ryosh"] = {
            ["y"] = 0.51,
            ["type"] = "General Supplies",
            ["name"] = "Ryosh",
            ["faction"] = "Alliance",
            ["x"] = 0.793,
        },
        ["Ergh of the Stillpine"] = {
            ["y"] = 0.213,
            ["type"] = "Trade Goods Vendor",
            ["name"] = "Ergh of the Stillpine",
            ["faction"] = "Alliance",
            ["x"] = 0.44,
        },
        ["Ziz"] = {
            ["y"] = 0.524,
            ["type"] = "Tradesman",
            ["name"] = "Ziz",
            ["faction"] = "Alliance",
            ["x"] = 0.488,
        },
        ["Diktynna"] = {
            ["y"] = 0.542,
            ["type"] = "Fishing Trainer & Supplies",
            ["name"] = "Diktynna",
            ["faction"] = "Alliance",
            ["x"] = 0.611,
        },
        ["\"Cookie\" McWeaksauce"] = {
            ["y"] = 0.705,
            ["type"] = "Cooking Trainer and Supplies",
            ["name"] = "\"Cookie\" McWeaksauce",
            ["faction"] = "Alliance",
            ["x"] = 0.467,
        },
        ["Aurok"] = {
            ["y"] = 0.472,
            ["type"] = "Armorsmith",
            ["name"] = "Aurok",
            ["faction"] = "Alliance",
            ["x"] = 0.8,
        },
        ["Parkat Steelfur"] = {
            ["y"] = 0.22,
            ["type"] = "General Goods",
            ["name"] = "Parkat Steelfur",
            ["faction"] = "Alliance",
            ["x"] = 0.469,
        },
        ["Otonambusi"] = {
            ["y"] = 0.521,
            ["type"] = "General Goods Vendor",
            ["name"] = "Otonambusi",
            ["faction"] = "Alliance",
            ["x"] = 0.481,
        },
        ["Blacksmith Calypso"] = {
            ["y"] = 0.711,
            ["type"] = "Blacksmithing Trainer and Supplies",
            ["name"] = "Blacksmith Calypso",
            ["faction"] = "Alliance",
            ["x"] = 0.464,
        },
        ["Logan Daniel"] = {
            ["y"] = 0.71,
            ["type"] = "General Goods Vendor",
            ["name"] = "Logan Daniel",
            ["faction"] = "Alliance",
            ["x"] = 0.463,
        },
        ["Caregiver Chellan"] = {
            ["y"] = 0.492,
            ["type"] = "Innkeeper",
            ["name"] = "Caregiver Chellan",
            ["faction"] = "Alliance",
            ["x"] = 0.484,
        },
        ["Kioni"] = {
            ["y"] = 0.527,
            ["type"] = "Cloth & Leather Merchant",
            ["name"] = "Kioni",
            ["faction"] = "Alliance",
            ["x"] = 0.496,
        },
        ["Mura"] = {
            ["y"] = 0.51,
            ["type"] = "Weaponsmith",
            ["name"] = "Mura",
            ["faction"] = "Alliance",
            ["x"] = 0.793,
        },
    },
    ["Bloodmyst Isle"] = {
        ["Beega"] = {
            ["y"] = 0.567,
            ["type"] = "Bowyer",
            ["name"] = "Beega",
            ["faction"] = "Alliance",
            ["x"] = 0.534,
        },
        ["Little Azimi"] = {
            ["y"] = 0.874,
            ["type"] = "Food Vendor",
            ["name"] = "Little Azimi",
            ["faction"] = "Alliance",
            ["x"] = 0.631,
        },
        ["Caregiver Topher Loaal"] = {
            ["y"] = 0.597,
            ["type"] = "Innkeeper",
            ["name"] = "Caregiver Topher Loaal",
            ["faction"] = "Alliance",
            ["x"] = 0.558,
        },
        ["Meriaad"] = {
            ["y"] = 0.582,
            ["type"] = "General Goods",
            ["name"] = "Meriaad",
            ["faction"] = "Alliance",
            ["x"] = 0.552,
        },
        ["Fazu"] = {
            ["y"] = 0.563,
            ["type"] = "Tradesman",
            ["name"] = "Fazu",
            ["faction"] = "Alliance",
            ["x"] = 0.535,
        },
    },
    ["Stranglethorn Vale"] = {
        ["Uthok"] = {
            ["y"] = 0.28,
            ["type"] = "General Supplies",
            ["name"] = "Uthok",
            ["faction"] = "Horde",
            ["x"] = 0.316,
        },
        ["Cowardly Crosby"] = {
            ["y"] = 0.825,
            ["x"] = 0.27,
            ["name"] = "Cowardly Crosby",
            ["type"] = "Tailoring Supplies",
        },
        ["Gnaz Blunderflame"] = {
            ["y"] = 0.353,
            ["x"] = 0.51,
            ["name"] = "Gnaz Blunderflame",
            ["type"] = "Engineering Supplies",
        },
        ["Rikqiz"] = {
            ["y"] = 0.76,
            ["x"] = 0.285,
            ["name"] = "Rikqiz",
            ["type"] = "Leatherworking Supplies",
        },
        ["Knaz Blunderflame"] = {
            ["y"] = 0.353,
            ["x"] = 0.51,
            ["name"] = "Knaz Blunderflame",
            ["type"] = "Engineering Supplies",
        },
        ["Blixrez Goodstitch"] = {
            ["y"] = 0.775,
            ["x"] = 0.282,
            ["name"] = "Blixrez Goodstitch",
            ["type"] = "Leatherworking Supplies",
        },
        ["Innkeeper Skindle"] = {
            ["y"] = 0.773,
            ["x"] = 0.271,
            ["name"] = "Innkeeper Skindle",
            ["type"] = "Innkeeper",
        },
        ["Kizz Bluntstrike"] = {
            ["y"] = 0.752,
            ["x"] = 0.283,
            ["name"] = "Kizz Bluntstrike",
            ["type"] = "Macecrafter",
        },
        ["Jansen Underwood"] = {
            ["y"] = 0.755,
            ["x"] = 0.29,
            ["name"] = "Jansen Underwood",
            ["type"] = "Blacksmithing Supplies",
        },
        ["Innkeeper Thulbek"] = {
            ["y"] = 0.297,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Thulbek",
            ["faction"] = "Horde",
            ["x"] = 0.315,
        },
        ["Nixxrax Fillamug"] = {
            ["y"] = 0.772,
            ["x"] = 0.271,
            ["name"] = "Nixxrax Fillamug",
            ["type"] = "Food and Drink",
        },
        ["Hragran"] = {
            ["y"] = 0.291,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Hragran",
            ["faction"] = "Horde",
            ["x"] = 0.316,
        },
        ["Narkk"] = {
            ["y"] = 0.745,
            ["x"] = 0.282,
            ["name"] = "Narkk",
            ["type"] = "Pirate Supplies",
        },
        ["Mazk Snipeshot"] = {
            ["y"] = 0.751,
            ["x"] = 0.285,
            ["name"] = "Mazk Snipeshot",
            ["type"] = "Engineering Supplies",
        },
        ["Hurklor"] = {
            ["y"] = 0.75,
            ["x"] = 0.29,
            ["name"] = "Hurklor",
            ["type"] = "Blacksmithing Supplies",
        },
        ["Crazk Sparks"] = {
            ["y"] = 0.767,
            ["x"] = 0.283,
            ["name"] = "Crazk Sparks",
            ["type"] = "Fireworks Merchant",
        },
        ["Nerrist"] = {
            ["y"] = 0.292,
            ["type"] = "Trade Goods",
            ["name"] = "Nerrist",
            ["faction"] = "Horde",
            ["x"] = 0.327,
        },
    },
    ["Eastern Plaguelands"] = {
        ["Jase Farlane"] = {
            ["y"] = 0.577,
            ["x"] = 0.805,
            ["name"] = "Jase Farlane",
            ["type"] = "Trade Supplies",
        },
        ["Jessica Chambers"] = {
            ["y"] = 0.581,
            ["x"] = 0.816,
            ["name"] = "Jessica Chambers",
            ["type"] = "Innkeeper",
        },
    },
    ["Duskwood"] = {
        ["Lohgan Eva"] = {
            ["y"] = 0.446,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Lohgan Eva",
            ["faction"] = "Alliance",
            ["x"] = 0.758,
        },
        ["Herble Baubbletump"] = {
            ["y"] = 0.483,
            ["type"] = "Engineering and Mining Supplies",
            ["name"] = "Herble Baubbletump",
            ["faction"] = "Alliance",
            ["x"] = 0.78,
        },
        ["Sheri Zipstitch"] = {
            ["y"] = 0.454,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Sheri Zipstitch",
            ["faction"] = "Alliance",
            ["x"] = 0.757,
        },
        ["Malissa"] = {
            ["y"] = 0.445,
            ["type"] = "Poison Supplier",
            ["name"] = "Malissa",
            ["faction"] = "Alliance",
            ["x"] = 0.794,
        },
        ["Avette Fellwood"] = {
            ["y"] = 0.447,
            ["type"] = "Bowyer",
            ["name"] = "Avette Fellwood",
            ["faction"] = "Alliance",
            ["x"] = 0.731,
        },
        ["Danielle Zipstitch"] = {
            ["y"] = 0.455,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Danielle Zipstitch",
            ["faction"] = "Alliance",
            ["x"] = 0.758,
        },
        ["Gunder Thornbush"] = {
            ["y"] = 0.45,
            ["type"] = "Tradesman",
            ["name"] = "Gunder Thornbush",
            ["faction"] = "Alliance",
            ["x"] = 0.739,
        },
        ["Mabel Solaj"] = {
            ["y"] = 0.448,
            ["type"] = "General Goods Vendor",
            ["name"] = "Mabel Solaj",
            ["faction"] = "Alliance",
            ["x"] = 0.741,
        },
        ["Innkeeper Trelayne"] = {
            ["y"] = 0.444,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Trelayne",
            ["faction"] = "Alliance",
            ["x"] = 0.739,
        },
        ["Bliztik"] = {
            ["y"] = 0.545,
            ["x"] = 0.18,
            ["name"] = "Bliztik",
            ["type"] = "Alchemy Supplies",
        },
        ["Alyssa Eva"] = {
            ["y"] = 0.453,
            ["type"] = "Reagent Vendor",
            ["name"] = "Alyssa Eva",
            ["faction"] = "Alliance",
            ["x"] = 0.761,
        },
    },
    ["Redridge Mountains"] = {
        ["Captured Servant of Azora"] = {
            ["y"] = 0.794,
            ["x"] = 0.744,
            ["name"] = "Captured Servant of Azora",
            ["type"] = "Specialist Tailoring Supplies",
        },
        ["Innkeeper Brianna"] = {
            ["y"] = 0.449,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Brianna",
            ["faction"] = "Alliance",
            ["x"] = 0.27,
        },
        ["Sherman Femmel"] = {
            ["y"] = 0.433,
            ["type"] = "Butcher",
            ["name"] = "Sherman Femmel",
            ["faction"] = "Alliance",
            ["x"] = 0.268,
        },
        ["Vernon Hale"] = {
            ["y"] = 0.477,
            ["type"] = "Bait and Tackle Supplier",
            ["name"] = "Vernon Hale",
            ["faction"] = "Alliance",
            ["x"] = 0.274,
        },
        ["Lindsay Ashlock"] = {
            ["y"] = 0.474,
            ["type"] = "General Supplies",
            ["name"] = "Lindsay Ashlock",
            ["faction"] = "Alliance",
            ["x"] = 0.287,
        },
        ["Kara Adams"] = {
            ["y"] = 0.466,
            ["type"] = "Shield Crafter",
            ["name"] = "Kara Adams",
            ["faction"] = "Alliance",
            ["x"] = 0.306,
        },
        ["Henry Chapal"] = {
            ["y"] = 0.414,
            ["type"] = "Gunsmith",
            ["name"] = "Henry Chapal",
            ["faction"] = "Alliance",
            ["x"] = 0.238,
        },
        ["Gerald Crawley"] = {
            ["y"] = 0.412,
            ["type"] = "Poison Supplier",
            ["name"] = "Gerald Crawley",
            ["faction"] = "Alliance",
            ["x"] = 0.25,
        },
        ["Karen Taylor"] = {
            ["y"] = 0.475,
            ["type"] = "Mining and Smithing Supplies",
            ["name"] = "Karen Taylor",
            ["faction"] = "Alliance",
            ["x"] = 0.299,
        },
        ["Franklin Hamar"] = {
            ["y"] = 0.454,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Franklin Hamar",
            ["faction"] = "Alliance",
            ["x"] = 0.272,
        },
        ["Bernard Brubaker"] = {
            ["y"] = 0.712,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Bernard Brubaker",
            ["faction"] = "Alliance",
            ["x"] = 0.883,
        },
        ["Gloria Femmel"] = {
            ["y"] = 0.435,
            ["type"] = "Cooking Supplies",
            ["name"] = "Gloria Femmel",
            ["faction"] = "Alliance",
            ["x"] = 0.267,
        },
        ["Clyde Ranthal"] = {
            ["y"] = 0.709,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Clyde Ranthal",
            ["faction"] = "Alliance",
            ["x"] = 0.889,
        },
    },
    ["Ghostlands"] = {
        ["Innkeeper Kalarin"] = {
            ["y"] = 0.323,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Kalarin",
            ["faction"] = "Horde",
            ["x"] = 0.488,
        },
        ["Blacksmith Frances"] = {
            ["y"] = 0.303,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Blacksmith Frances",
            ["faction"] = "Horde",
            ["x"] = 0.491,
        },
        ["Terellia"] = {
            ["y"] = 0.332,
            ["type"] = "General Goods Vendor",
            ["name"] = "Terellia",
            ["faction"] = "Horde",
            ["x"] = 0.483,
        },
        ["Narina"] = {
            ["y"] = 0.321,
            ["type"] = "Bowyer",
            ["name"] = "Narina",
            ["faction"] = "Horde",
            ["x"] = 0.721,
        },
        ["Master Chef Mouldier"] = {
            ["y"] = 0.309,
            ["type"] = "Cooking Trainer and Supplies",
            ["name"] = "Master Chef Mouldier",
            ["faction"] = "Horde",
            ["x"] = 0.483,
        },
        ["Rathis Tomber"] = {
            ["y"] = 0.287,
            ["type"] = "Trade Supplies",
            ["name"] = "Rathis Tomber",
            ["faction"] = "Horde",
            ["x"] = 0.472,
        },
        ["Quartermaster Lymel"] = {
            ["y"] = 0.291,
            ["type"] = "General Goods",
            ["name"] = "Quartermaster Lymel",
            ["faction"] = "Horde",
            ["x"] = 0.473,
        },
        ["Eralan"] = {
            ["y"] = 0.345,
            ["type"] = "Poison Vendor",
            ["name"] = "Eralan",
            ["faction"] = "Horde",
            ["x"] = 0.472,
        },
    },
    ["Ashenvale"] = {
        ["Lardan"] = {
            ["y"] = 0.498,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Lardan",
            ["faction"] = "Alliance",
            ["x"] = 0.348,
        },
        ["Phaedra"] = {
            ["y"] = 0.443,
            ["type"] = "Weapon Merchant",
            ["name"] = "Phaedra",
            ["faction"] = "Alliance",
            ["x"] = 0.866,
        },
        ["Shandrina"] = {
            ["y"] = 0.671,
            ["type"] = "Trade Goods",
            ["name"] = "Shandrina",
            ["faction"] = "Alliance",
            ["x"] = 0.495,
        },
        ["Harlown Darkweave"] = {
            ["y"] = 0.6,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Harlown Darkweave",
            ["faction"] = "Alliance",
            ["x"] = 0.182,
        },
        ["Bhaldaran Ravenshade"] = {
            ["y"] = 0.672,
            ["type"] = "Bowyer",
            ["name"] = "Bhaldaran Ravenshade",
            ["faction"] = "Alliance",
            ["x"] = 0.502,
        },
        ["Llana"] = {
            ["y"] = 0.485,
            ["type"] = "Reagent Supplies",
            ["name"] = "Llana",
            ["faction"] = "Alliance",
            ["x"] = 0.35,
        },
        ["Harklan Moongrove"] = {
            ["y"] = 0.67,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Harklan Moongrove",
            ["faction"] = "Alliance",
            ["x"] = 0.508,
        },
        ["Innkeeper Kimlya"] = {
            ["y"] = 0.493,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Kimlya",
            ["faction"] = "Alliance",
            ["x"] = 0.37,
        },
        ["Innkeeper Kaylisk"] = {
            ["y"] = 0.607,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Kaylisk",
            ["faction"] = "Horde",
            ["x"] = 0.74,
        },
        ["Dalria"] = {
            ["y"] = 0.521,
            ["type"] = "Trade Goods",
            ["name"] = "Dalria",
            ["faction"] = "Alliance",
            ["x"] = 0.351,
        },
        ["Wik\'Tar"] = {
            ["y"] = 0.341,
            ["type"] = "Fish Merchant & Supplies",
            ["name"] = "Wik\'Tar",
            ["faction"] = "Horde",
            ["x"] = 0.118,
        },
        ["Illiyana Moonblaze"] = {
            ["y"] = 0.838,
            ["type"] = "Silverwing Supply Officer",
            ["name"] = "Illiyana Moonblaze",
            ["faction"] = "Alliance",
            ["x"] = 0.615,
        },
        ["Fahran Silentblade"] = {
            ["y"] = 0.495,
            ["type"] = "Tools & Supplies",
            ["name"] = "Fahran Silentblade",
            ["faction"] = "Alliance",
            ["x"] = 0.365,
        },
        ["Burkrum"] = {
            ["y"] = 0.604,
            ["type"] = "Heavy Armor Merchant",
            ["name"] = "Burkrum",
            ["faction"] = "Horde",
            ["x"] = 0.735,
        },
        ["Xai\'ander"] = {
            ["y"] = 0.52,
            ["type"] = "Weaponsmith",
            ["name"] = "Xai\'ander",
            ["faction"] = "Alliance",
            ["x"] = 0.358,
        },
        ["Maliynn"] = {
            ["y"] = 0.499,
            ["type"] = "Food & Drink Vendor",
            ["name"] = "Maliynn",
            ["faction"] = "Alliance",
            ["x"] = 0.366,
        },
        ["Ulthaan"] = {
            ["y"] = 0.667,
            ["type"] = "Butcher",
            ["name"] = "Ulthaan",
            ["faction"] = "Alliance",
            ["x"] = 0.5,
        },
        ["Tandaan Lightmane"] = {
            ["y"] = 0.498,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Tandaan Lightmane",
            ["faction"] = "Alliance",
            ["x"] = 0.345,
        },
        ["Haljan Oakheart"] = {
            ["y"] = 0.509,
            ["type"] = "General Goods",
            ["name"] = "Haljan Oakheart",
            ["faction"] = "Alliance",
            ["x"] = 0.349,
        },
    },
    ["Shadowmoon Valley"] = {
        ["Grokom Deatheye"] = {
            ["y"] = 0.313,
            ["type"] = "Weaponsmith",
            ["name"] = "Grokom Deatheye",
            ["faction"] = "Horde",
            ["x"] = 0.299,
        },
        ["Roldemar"] = {
            ["y"] = 0.596,
            ["x"] = 0.563,
            ["name"] = "Roldemar",
            ["type"] = "Innkeeper",
        },
        ["Caretaker Aluuro"] = {
            ["y"] = 0.283,
            ["x"] = 0.611,
            ["name"] = "Caretaker Aluuro",
            ["type"] = "Innkeeper",
        },
        ["Mari Stonehand"] = {
            ["y"] = 0.551,
            ["type"] = "Armorsmith",
            ["name"] = "Mari Stonehand",
            ["faction"] = "Alliance",
            ["x"] = 0.368,
        },
        ["Salle Sunforge"] = {
            ["y"] = 0.555,
            ["type"] = "General Goods",
            ["name"] = "Salle Sunforge",
            ["faction"] = "Alliance",
            ["x"] = 0.362,
        },
        ["Dalin Stouthammer"] = {
            ["y"] = 0.585,
            ["type"] = "Cooking Supplies",
            ["name"] = "Dalin Stouthammer",
            ["faction"] = "Alliance",
            ["x"] = 0.371,
        },
        ["Innkeeper Darg Bloodclaw"] = {
            ["y"] = 0.278,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Darg Bloodclaw",
            ["faction"] = "Horde",
            ["x"] = 0.302,
        },
        ["Trop Rendlimb"] = {
            ["y"] = 0.262,
            ["type"] = "General Goods",
            ["name"] = "Trop Rendlimb",
            ["faction"] = "Horde",
            ["x"] = 0.293,
        },
        ["Alorya"] = {
            ["y"] = 0.592,
            ["x"] = 0.555,
            ["name"] = "Alorya",
            ["type"] = "General Goods Vendor",
        },
        ["Oran Blusterbrew"] = {
            ["y"] = 0.562,
            ["type"] = "Trade Goods",
            ["name"] = "Oran Blusterbrew",
            ["faction"] = "Alliance",
            ["x"] = 0.368,
        },
        ["Krek Cragcrush"] = {
            ["y"] = 0.31,
            ["type"] = "Blacksmithing Supplier",
            ["name"] = "Krek Cragcrush",
            ["faction"] = "Horde",
            ["x"] = 0.292,
        },
        ["Kalara"] = {
            ["y"] = 0.263,
            ["type"] = "Trade Goods",
            ["name"] = "Kalara",
            ["faction"] = "Horde",
            ["x"] = 0.294,
        },
        ["Dreg Cloudsweeper"] = {
            ["y"] = 0.582,
            ["type"] = "Innkeeper",
            ["name"] = "Dreg Cloudsweeper",
            ["faction"] = "Alliance",
            ["x"] = 0.371,
        },
        ["Dorni"] = {
            ["y"] = 0.281,
            ["x"] = 0.611,
            ["name"] = "Dorni",
            ["type"] = "General Goods Vendor",
        },
    },
    ["Zangarmarsh"] = {
        ["Innkeeper Kerp"] = {
            ["y"] = 0.263,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Kerp",
            ["faction"] = "Alliance",
            ["x"] = 0.419,
        },
        ["Innkeeper Coryth Stoktron"] = {
            ["y"] = 0.63,
            ["x"] = 0.786,
            ["name"] = "Innkeeper Coryth Stoktron",
            ["type"] = "Innkeeper",
        },
        ["Sarinei Whitestar"] = {
            ["y"] = 0.638,
            ["x"] = 0.795,
            ["name"] = "Sarinei Whitestar",
            ["type"] = "General Goods",
        },
        ["Haalrun"] = {
            ["y"] = 0.48,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Haalrun",
            ["faction"] = "Alliance",
            ["x"] = 0.678,
        },
        ["Caregiver Abidaar"] = {
            ["y"] = 0.493,
            ["type"] = "Innkeeper",
            ["name"] = "Caregiver Abidaar",
            ["faction"] = "Alliance",
            ["x"] = 0.672,
        },
        ["Naka"] = {
            ["y"] = 0.63,
            ["x"] = 0.785,
            ["name"] = "Naka",
            ["type"] = "Cooking Supplier",
        },
        ["Gambarinka"] = {
            ["y"] = 0.493,
            ["type"] = "Tradesman",
            ["name"] = "Gambarinka",
            ["faction"] = "Horde",
            ["x"] = 0.317,
        },
        ["Juno Dufrain"] = {
            ["y"] = 0.661,
            ["x"] = 0.78,
            ["name"] = "Juno Dufrain",
            ["type"] = "Fishing Supplies",
        },
        ["Fedryen Swiftspear"] = {
            ["y"] = 0.638,
            ["x"] = 0.793,
            ["name"] = "Fedryen Swiftspear",
            ["type"] = "Cenarion Expedition Quartermaster",
        },
        ["Doba"] = {
            ["y"] = 0.279,
            ["type"] = "Cooking Supplies",
            ["name"] = "Doba",
            ["faction"] = "Alliance",
            ["x"] = 0.423,
        },
        ["Zurai"] = {
            ["y"] = 0.547,
            ["type"] = "Merchant",
            ["name"] = "Zurai",
            ["faction"] = "Horde",
            ["x"] = 0.852,
        },
        ["Muheru the Weaver"] = {
            ["y"] = 0.282,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Muheru the Weaver",
            ["faction"] = "Alliance",
            ["x"] = 0.406,
        },
        ["Merajit"] = {
            ["y"] = 0.509,
            ["type"] = "Innkeeper",
            ["name"] = "Merajit",
            ["faction"] = "Horde",
            ["x"] = 0.307,
        },
        ["Mycah"] = {
            ["y"] = 0.512,
            ["x"] = 0.179,
            ["name"] = "Mycah",
            ["type"] = "Sporeggar Quartermaster",
        },
        ["Seer Janidi"] = {
            ["y"] = 0.519,
            ["type"] = "Reagent Vendor",
            ["name"] = "Seer Janidi",
            ["faction"] = "Horde",
            ["x"] = 0.324,
        },
        ["Noraani"] = {
            ["y"] = 0.479,
            ["type"] = "Reagent Merchant",
            ["name"] = "Noraani",
            ["faction"] = "Alliance",
            ["x"] = 0.677,
        },
        ["Maktu"] = {
            ["y"] = 0.274,
            ["type"] = "Armor Merchant",
            ["name"] = "Maktu",
            ["faction"] = "Alliance",
            ["x"] = 0.416,
        },
        ["Lorti"] = {
            ["y"] = 0.541,
            ["type"] = "Merchant",
            ["name"] = "Lorti",
            ["faction"] = "Horde",
            ["x"] = 0.857,
        },
    },
    ["Un'Goro Crater"] = {
        ["Gibbert"] = {
            ["y"] = 0.073,
            ["x"] = 0.441,
            ["name"] = "Gibbert",
            ["type"] = "Weapon Merchant",
        },
        ["Nergal"] = {
            ["y"] = 0.077,
            ["x"] = 0.433,
            ["name"] = "Nergal",
            ["type"] = "General Goods Vendor",
        },
    },
    ["Mulgore"] = {
        ["Mahnott Roughwound"] = {
            ["y"] = 0.585,
            ["type"] = "Weaponsmith",
            ["name"] = "Mahnott Roughwound",
            ["faction"] = "Horde",
            ["x"] = 0.457,
        },
        ["Harn Longcast"] = {
            ["y"] = 0.551,
            ["type"] = "Fishing Supplies",
            ["name"] = "Harn Longcast",
            ["faction"] = "Horde",
            ["x"] = 0.475,
        },
        ["Marjak Keenblade"] = {
            ["y"] = 0.774,
            ["type"] = "Weaponsmith",
            ["name"] = "Marjak Keenblade",
            ["faction"] = "Horde",
            ["x"] = 0.441,
        },
        ["Kennah Hawkseye"] = {
            ["y"] = 0.584,
            ["type"] = "Gunsmith",
            ["name"] = "Kennah Hawkseye",
            ["faction"] = "Horde",
            ["x"] = 0.455,
        },
        ["Varia Hardhide"] = {
            ["y"] = 0.773,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Varia Hardhide",
            ["faction"] = "Horde",
            ["x"] = 0.442,
        },
        ["Kawnie Softbreeze"] = {
            ["y"] = 0.765,
            ["type"] = "General Goods",
            ["name"] = "Kawnie Softbreeze",
            ["faction"] = "Horde",
            ["x"] = 0.452,
        },
        ["Innkeeper Kauth"] = {
            ["y"] = 0.61,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Kauth",
            ["faction"] = "Horde",
            ["x"] = 0.467,
        },
        ["Wunna Darkmane"] = {
            ["y"] = 0.582,
            ["type"] = "Trade Goods",
            ["name"] = "Wunna Darkmane",
            ["faction"] = "Horde",
            ["x"] = 0.461,
        },
        ["Varg Windwhisper"] = {
            ["y"] = 0.586,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Varg Windwhisper",
            ["faction"] = "Horde",
            ["x"] = 0.458,
        },
        ["Moorat Longstride"] = {
            ["y"] = 0.577,
            ["type"] = "General Goods",
            ["name"] = "Moorat Longstride",
            ["faction"] = "Horde",
            ["x"] = 0.458,
        },
    },
    ["Ironforge"] = {
        ["Lissyphus Finespindle"] = {
            ["y"] = 0.883,
            ["type"] = "Light Armor Merchant",
            ["name"] = "Lissyphus Finespindle",
            ["faction"] = "Alliance",
            ["x"] = 0.545,
        },
        ["Barim Jurgenstaad"] = {
            ["y"] = 0.561,
            ["type"] = "Reagent Vendor",
            ["name"] = "Barim Jurgenstaad",
            ["faction"] = "Alliance",
            ["x"] = 0.195,
        },
        ["Bubulo Acerbus"] = {
            ["y"] = 0.479,
            ["type"] = "Alliance Cloth Quartermaster",
            ["name"] = "Bubulo Acerbus",
            ["faction"] = "Alliance",
            ["x"] = 0.74,
        },
        ["Gearcutter Cogspinner"] = {
            ["y"] = 0.431,
            ["type"] = "Engineering Supplies",
            ["name"] = "Gearcutter Cogspinner",
            ["faction"] = "Alliance",
            ["x"] = 0.68,
        },
        ["Bretta Goldfury"] = {
            ["y"] = 0.658,
            ["type"] = "Gun Merchant",
            ["name"] = "Bretta Goldfury",
            ["faction"] = "Alliance",
            ["x"] = 0.723,
        },
        ["Harick Boulderdrum"] = {
            ["y"] = 0.164,
            ["type"] = "Wands Merchant",
            ["name"] = "Harick Boulderdrum",
            ["faction"] = "Alliance",
            ["x"] = 0.229,
        },
        ["Ginny Longberry"] = {
            ["y"] = 0.275,
            ["type"] = "Reagent Vendor",
            ["name"] = "Ginny Longberry",
            ["faction"] = "Alliance",
            ["x"] = 0.312,
        },
        ["Mangorn Flinthammer"] = {
            ["y"] = 0.583,
            ["type"] = "Heavy Armor Merchant",
            ["name"] = "Mangorn Flinthammer",
            ["faction"] = "Alliance",
            ["x"] = 0.321,
        },
        ["Hjoldir Stoneblade"] = {
            ["y"] = 0.065,
            ["type"] = "Blade Merchant",
            ["name"] = "Hjoldir Stoneblade",
            ["faction"] = "Alliance",
            ["x"] = 0.453,
        },
        ["Bryllia Ironbrand"] = {
            ["y"] = 0.739,
            ["type"] = "General Goods Vendor",
            ["name"] = "Bryllia Ironbrand",
            ["faction"] = "Alliance",
            ["x"] = 0.391,
        },
        ["Golnir Bouldertoe"] = {
            ["y"] = 0.26,
            ["type"] = "Mining Supplier",
            ["name"] = "Golnir Bouldertoe",
            ["faction"] = "Alliance",
            ["x"] = 0.51,
        },
        ["Grumnus Steelshaper"] = {
            ["y"] = 0.428,
            ["type"] = "Armor Crafter",
            ["name"] = "Grumnus Steelshaper",
            ["faction"] = "Alliance",
            ["x"] = 0.502,
        },
        ["Dolman Steelfury"] = {
            ["y"] = 0.661,
            ["type"] = "Weapon Merchant",
            ["name"] = "Dolman Steelfury",
            ["faction"] = "Alliance",
            ["x"] = 0.361,
        },
        ["Burbik Gearspanner"] = {
            ["y"] = 0.271,
            ["type"] = "Trade Supplier",
            ["name"] = "Burbik Gearspanner",
            ["faction"] = "Alliance",
            ["x"] = 0.465,
        },
        ["Lyesa Steelbrow"] = {
            ["y"] = 0.854,
            ["type"] = "Guild Tabard Vendor",
            ["name"] = "Lyesa Steelbrow",
            ["faction"] = "Alliance",
            ["x"] = 0.36,
        },
        ["Maeva Snowbraid"] = {
            ["y"] = 0.057,
            ["type"] = "Robe Merchant",
            ["name"] = "Maeva Snowbraid",
            ["faction"] = "Alliance",
            ["x"] = 0.387,
        },
        ["Mistina Steelshield"] = {
            ["y"] = 0.32,
            ["type"] = "Alliance Cloth Quartermaster",
            ["name"] = "Mistina Steelshield",
            ["faction"] = "Alliance",
            ["x"] = 0.432,
        },
        ["Ingrys Stonebrow"] = {
            ["y"] = 0.056,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Ingrys Stonebrow",
            ["faction"] = "Alliance",
            ["x"] = 0.385,
        },
        ["Fillius Fizzlespinner"] = {
            ["y"] = 0.736,
            ["type"] = "Trade Supplier",
            ["name"] = "Fillius Fizzlespinner",
            ["faction"] = "Alliance",
            ["x"] = 0.384,
        },
        ["Innkeeper Firebrew"] = {
            ["y"] = 0.515,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Firebrew",
            ["faction"] = "Alliance",
            ["x"] = 0.186,
        },
        ["Tilli Thistlefuzz"] = {
            ["y"] = 0.442,
            ["type"] = "Enchanting Supplies",
            ["name"] = "Tilli Thistlefuzz",
            ["faction"] = "Alliance",
            ["x"] = 0.607,
        },
        ["Poranna Snowbraid"] = {
            ["y"] = 0.285,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Poranna Snowbraid",
            ["faction"] = "Alliance",
            ["x"] = 0.433,
        },
        ["Brenwyn Wintersteel"] = {
            ["y"] = 0.888,
            ["type"] = "Blade Merchant",
            ["name"] = "Brenwyn Wintersteel",
            ["faction"] = "Alliance",
            ["x"] = 0.62,
        },
        ["Bingus"] = {
            ["y"] = 0.163,
            ["type"] = "Weapon Merchant",
            ["name"] = "Bingus",
            ["faction"] = "Alliance",
            ["x"] = 0.227,
        },
        ["Dolkin Craghelm"] = {
            ["y"] = 0.881,
            ["type"] = "Mail Armor Merchant",
            ["name"] = "Dolkin Craghelm",
            ["faction"] = "Alliance",
            ["x"] = 0.542,
        },
        ["Raena Flinthammer"] = {
            ["y"] = 0.578,
            ["type"] = "Light Armor Merchant",
            ["name"] = "Raena Flinthammer",
            ["faction"] = "Alliance",
            ["x"] = 0.327,
        },
        ["Emrul Riknussun"] = {
            ["y"] = 0.377,
            ["type"] = "Cooking Supplier",
            ["name"] = "Emrul Riknussun",
            ["faction"] = "Alliance",
            ["x"] = 0.599,
        },
        ["Tansy Puddlefizz"] = {
            ["y"] = 0.063,
            ["type"] = "Fishing Supplier",
            ["name"] = "Tansy Puddlefizz",
            ["faction"] = "Alliance",
            ["x"] = 0.48,
        },
        ["Soolie Berryfizz"] = {
            ["y"] = 0.545,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Soolie Berryfizz",
            ["faction"] = "Alliance",
            ["x"] = 0.666,
        },
        ["Ironus Coldsteel"] = {
            ["y"] = 0.433,
            ["type"] = "Special Weapon Crafter",
            ["name"] = "Ironus Coldsteel",
            ["faction"] = "Alliance",
            ["x"] = 0.505,
        },
        ["Skolmin Goldfury"] = {
            ["y"] = 0.662,
            ["type"] = "Bow Merchant",
            ["name"] = "Skolmin Goldfury",
            ["faction"] = "Alliance",
            ["x"] = 0.717,
        },
        ["Thalgus Thunderfist"] = {
            ["y"] = 0.892,
            ["type"] = "Weapon Merchant",
            ["name"] = "Thalgus Thunderfist",
            ["faction"] = "Alliance",
            ["x"] = 0.614,
        },
        ["Grenil Steelfury"] = {
            ["y"] = 0.658,
            ["type"] = "Weapon Merchant",
            ["name"] = "Grenil Steelfury",
            ["faction"] = "Alliance",
            ["x"] = 0.363,
        },
        ["Pithwick"] = {
            ["y"] = 0.745,
            ["type"] = "Bag Vendor",
            ["name"] = "Pithwick",
            ["faction"] = "Alliance",
            ["x"] = 0.383,
        },
        ["Gwina Stonebranch"] = {
            ["y"] = 0.59,
            ["type"] = "Herbalism Supplier",
            ["name"] = "Gwina Stonebranch",
            ["faction"] = "Alliance",
            ["x"] = 0.551,
        },
        ["Outfitter Eric"] = {
            ["y"] = 0.292,
            ["type"] = "Speciality Tailoring Supplies",
            ["name"] = "Outfitter Eric",
            ["faction"] = "Alliance",
            ["x"] = 0.432,
        },
        ["Olthran Craghelm"] = {
            ["y"] = 0.874,
            ["type"] = "Heavy Armor Merchant",
            ["name"] = "Olthran Craghelm",
            ["faction"] = "Alliance",
            ["x"] = 0.544,
        },
        ["Bombus Finespindle"] = {
            ["y"] = 0.341,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Bombus Finespindle",
            ["faction"] = "Alliance",
            ["x"] = 0.396,
        },
        ["Fizzlebang Booms"] = {
            ["y"] = 0.532,
            ["type"] = "Fireworks Vendor",
            ["name"] = "Fizzlebang Booms",
            ["faction"] = "Alliance",
            ["x"] = 0.732,
        },
        ["Hegnar Swiftaxe"] = {
            ["y"] = 0.885,
            ["type"] = "Axe Merchant",
            ["name"] = "Hegnar Swiftaxe",
            ["faction"] = "Alliance",
            ["x"] = 0.619,
        },
    },
    ["Felwood"] = {
        ["Malygen"] = {
            ["y"] = 0.256,
            ["type"] = "General Goods",
            ["name"] = "Malygen",
            ["faction"] = "Alliance",
            ["x"] = 0.623,
        },
        ["Altsoba Ragetotem"] = {
            ["y"] = 0.531,
            ["type"] = "Weapon Merchant",
            ["name"] = "Altsoba Ragetotem",
            ["faction"] = "Horde",
            ["x"] = 0.348,
        },
        ["Mylini Frostmoon"] = {
            ["y"] = 0.258,
            ["type"] = "Weapon Merchant",
            ["name"] = "Mylini Frostmoon",
            ["faction"] = "Alliance",
            ["x"] = 0.624,
        },
        ["Bale"] = {
            ["y"] = 0.531,
            ["type"] = "General Goods",
            ["name"] = "Bale",
            ["faction"] = "Horde",
            ["x"] = 0.348,
        },
    },
    ["Alterac Mountains"] = {
        ["Bro\'kin"] = {
            ["y"] = 0.388,
            ["x"] = 0.383,
            ["name"] = "Bro\'kin",
            ["type"] = "Alchemy Supplies",
        },
        ["Rizz Loosebolt"] = {
            ["y"] = 0.353,
            ["x"] = 0.474,
            ["name"] = "Rizz Loosebolt",
            ["type"] = "Engineering Supplies",
        },
        ["Smudge Thunderwood"] = {
            ["y"] = 0.797,
            ["x"] = 0.861,
            ["name"] = "Smudge Thunderwood",
            ["type"] = "Poison Vendor",
        },
        ["Thanthaldis Snowgleam"] = {
            ["y"] = 0.817,
            ["type"] = "Stormpike Supply Officer",
            ["name"] = "Thanthaldis Snowgleam",
            ["faction"] = "Alliance",
            ["x"] = 0.395,
        },
        ["Jekyll Flandring"] = {
            ["y"] = 0.594,
            ["type"] = "Frostwolf Supply Officer",
            ["name"] = "Jekyll Flandring",
            ["faction"] = "Horde",
            ["x"] = 0.628,
        },
    },
    ["Silithus"] = {
        ["Kania"] = {
            ["y"] = 0.396,
            ["x"] = 0.52,
            ["name"] = "Kania",
            ["type"] = "Enchanting Supplier",
        },
        ["Mishta"] = {
            ["y"] = 0.364,
            ["x"] = 0.499,
            ["name"] = "Mishta",
            ["type"] = "General Trade Goods Vendor",
        },
        ["Khur Hornstriker"] = {
            ["y"] = 0.37,
            ["x"] = 0.488,
            ["name"] = "Khur Hornstriker",
            ["type"] = "Reagent Vendor",
        },
        ["Zannok Hidepiercer"] = {
            ["y"] = 0.178,
            ["x"] = 0.819,
            ["name"] = "Zannok Hidepiercer",
            ["type"] = "Leatherworking Supplies",
        },
        ["Calandrath"] = {
            ["y"] = 0.391,
            ["x"] = 0.519,
            ["name"] = "Calandrath",
            ["type"] = "Innkeeper",
        },
    },
    ["Burning Steppes"] = {
        ["Felder Stover"] = {
            ["y"] = 0.684,
            ["type"] = "Weaponsmith",
            ["name"] = "Felder Stover",
            ["faction"] = "Alliance",
            ["x"] = 0.851,
        },
    },
    ["Teldrassil"] = {
        ["Jeena Featherbow"] = {
            ["y"] = 0.592,
            ["type"] = "Bowyer",
            ["name"] = "Jeena Featherbow",
            ["faction"] = "Alliance",
            ["x"] = 0.559,
        },
        ["Nyoma"] = {
            ["y"] = 0.612,
            ["type"] = "Cooking Supplies",
            ["name"] = "Nyoma",
            ["faction"] = "Alliance",
            ["x"] = 0.572,
        },
        ["Sinda"] = {
            ["y"] = 0.596,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Sinda",
            ["faction"] = "Alliance",
            ["x"] = 0.563,
        },
        ["Khardan Proudblade"] = {
            ["y"] = 0.397,
            ["type"] = "Weaponsmith",
            ["name"] = "Khardan Proudblade",
            ["faction"] = "Alliance",
            ["x"] = 0.588,
        },
        ["Lyrai"] = {
            ["y"] = 0.41,
            ["type"] = "General Supplies",
            ["name"] = "Lyrai",
            ["faction"] = "Alliance",
            ["x"] = 0.595,
        },
        ["Aldia"] = {
            ["y"] = 0.572,
            ["type"] = "General Supplies",
            ["name"] = "Aldia",
            ["faction"] = "Alliance",
            ["x"] = 0.555,
        },
        ["Narret Shadowgrove"] = {
            ["y"] = 0.571,
            ["type"] = "Trade Supplies",
            ["name"] = "Narret Shadowgrove",
            ["faction"] = "Alliance",
            ["x"] = 0.553,
        },
        ["Dellylah"] = {
            ["y"] = 0.408,
            ["type"] = "Food & Drink Vendor",
            ["name"] = "Dellylah",
            ["faction"] = "Alliance",
            ["x"] = 0.596,
        },
        ["Keina"] = {
            ["y"] = 0.411,
            ["type"] = "Bowyer",
            ["name"] = "Keina",
            ["faction"] = "Alliance",
            ["x"] = 0.593,
        },
        ["Innkeeper Keldamyr"] = {
            ["y"] = 0.598,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Keldamyr",
            ["faction"] = "Alliance",
            ["x"] = 0.557,
        },
        ["Danlyia"] = {
            ["y"] = 0.572,
            ["type"] = "Food & Drink Vendor",
            ["name"] = "Danlyia",
            ["faction"] = "Alliance",
            ["x"] = 0.554,
        },
        ["Shalomon"] = {
            ["y"] = 0.595,
            ["type"] = "Weaponsmith",
            ["name"] = "Shalomon",
            ["faction"] = "Alliance",
            ["x"] = 0.562,
        },
        ["Nessa Shadowsong"] = {
            ["y"] = 0.924,
            ["type"] = "Fishing Supplies",
            ["name"] = "Nessa Shadowsong",
            ["faction"] = "Alliance",
            ["x"] = 0.563,
        },
        ["Freja Nightwing"] = {
            ["y"] = 0.397,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Freja Nightwing",
            ["faction"] = "Alliance",
            ["x"] = 0.59,
        },
    },
    ["Terokkar Forest"] = {
        ["Skraa"] = {
            ["y"] = 0.511,
            ["x"] = 0.376,
            ["name"] = "Skraa",
            ["type"] = "Trade Goods",
        },
        ["Bar Talet"] = {
            ["y"] = 0.456,
            ["type"] = "Bowyer",
            ["name"] = "Bar Talet",
            ["faction"] = "Horde",
            ["x"] = 0.493,
        },
        ["Cecil Meyers"] = {
            ["y"] = 0.55,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Cecil Meyers",
            ["faction"] = "Alliance",
            ["x"] = 0.565,
        },
        ["Ruogo"] = {
            ["y"] = 0.512,
            ["x"] = 0.376,
            ["name"] = "Ruogo",
            ["type"] = "General Goods",
        },
        ["Supply Officer Mills"] = {
            ["y"] = 0.531,
            ["type"] = "Rations",
            ["name"] = "Supply Officer Mills",
            ["faction"] = "Alliance",
            ["x"] = 0.557,
        },
        ["Rungor"] = {
            ["y"] = 0.461,
            ["type"] = "Trade Goods",
            ["name"] = "Rungor",
            ["faction"] = "Horde",
            ["x"] = 0.488,
        },
        ["Innkeeper Grilka"] = {
            ["y"] = 0.451,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Grilka",
            ["faction"] = "Horde",
            ["x"] = 0.488,
        },
        ["Innkeeper Biribi"] = {
            ["y"] = 0.533,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Biribi",
            ["faction"] = "Alliance",
            ["x"] = 0.567,
        },
        ["Dod\'ss"] = {
            ["y"] = 0.456,
            ["type"] = "General Goods",
            ["name"] = "Dod\'ss",
            ["faction"] = "Horde",
            ["x"] = 0.501,
        },
        ["Leeli Longhaggle"] = {
            ["y"] = 0.534,
            ["type"] = "Trade Goods",
            ["name"] = "Leeli Longhaggle",
            ["faction"] = "Alliance",
            ["x"] = 0.577,
        },
        ["Aundro"] = {
            ["y"] = 0.764,
            ["x"] = 0.31,
            ["name"] = "Aundro",
            ["type"] = "Blacksmithing Supplies",
        },
    },
    ["The Exodar"] = {
        ["Arras"] = {
            ["y"] = 0.885,
            ["type"] = "Blacksmithing Supplier",
            ["name"] = "Arras",
            ["faction"] = "Alliance",
            ["x"] = 0.609,
        },
        ["Haferet"] = {
            ["y"] = 0.739,
            ["type"] = "Leatherworking Supplier",
            ["name"] = "Haferet",
            ["faction"] = "Alliance",
            ["x"] = 0.664,
        },
        ["Phea"] = {
            ["y"] = 0.26,
            ["type"] = "Cooking Supplier",
            ["name"] = "Phea",
            ["faction"] = "Alliance",
            ["x"] = 0.543,
        },
        ["Ven"] = {
            ["y"] = 0.896,
            ["type"] = "Blade Vendor",
            ["name"] = "Ven",
            ["faction"] = "Alliance",
            ["x"] = 0.697,
        },
        ["Avelii"] = {
            ["y"] = 0.896,
            ["type"] = "Bowyer",
            ["name"] = "Avelii",
            ["faction"] = "Alliance",
            ["x"] = 0.475,
        },
        ["Musal"] = {
            ["y"] = 0.631,
            ["type"] = "Arcane Goods Vendor",
            ["name"] = "Musal",
            ["faction"] = "Alliance",
            ["x"] = 0.445,
        },
        ["Arred"] = {
            ["y"] = 0.26,
            ["type"] = "Jewelcrafting Supplier",
            ["name"] = "Arred",
            ["faction"] = "Alliance",
            ["x"] = 0.45,
        },
        ["Caregiver Breel"] = {
            ["y"] = 0.194,
            ["type"] = "Innkeeper",
            ["name"] = "Caregiver Breel",
            ["faction"] = "Alliance",
            ["x"] = 0.596,
        },
        ["Dugiru"] = {
            ["y"] = 0.675,
            ["type"] = "Alliance Cloth Quartermaster",
            ["name"] = "Dugiru",
            ["faction"] = "Alliance",
            ["x"] = 0.629,
        },
        ["Oss"] = {
            ["y"] = 0.613,
            ["type"] = "Wand Vendor",
            ["name"] = "Oss",
            ["faction"] = "Alliance",
            ["x"] = 0.463,
        },
        ["Cuzi"] = {
            ["y"] = 0.472,
            ["type"] = "Bag Vendor",
            ["name"] = "Cuzi",
            ["faction"] = "Alliance",
            ["x"] = 0.528,
        },
        ["Ellomin"] = {
            ["y"] = 0.845,
            ["type"] = "Blunt Weapon Merchant",
            ["name"] = "Ellomin",
            ["faction"] = "Alliance",
            ["x"] = 0.734,
        },
        ["Merran"] = {
            ["y"] = 0.89,
            ["type"] = "Mining Supplies",
            ["name"] = "Merran",
            ["faction"] = "Alliance",
            ["x"] = 0.598,
        },
    },
    ["Wetlands"] = {
        ["Gruham Rumdnul"] = {
            ["y"] = 0.579,
            ["type"] = "General Supplies",
            ["name"] = "Gruham Rumdnul",
            ["faction"] = "Alliance",
            ["x"] = 0.12,
        },
        ["Murndan Derth"] = {
            ["y"] = 0.595,
            ["type"] = "Gunsmith",
            ["name"] = "Murndan Derth",
            ["faction"] = "Alliance",
            ["x"] = 0.114,
        },
        ["Fradd Swiftgear"] = {
            ["y"] = 0.258,
            ["type"] = "Engineering Supplies",
            ["name"] = "Fradd Swiftgear",
            ["faction"] = "Alliance",
            ["x"] = 0.264,
        },
        ["Kersok Prond"] = {
            ["y"] = 0.606,
            ["type"] = "Tradesman",
            ["name"] = "Kersok Prond",
            ["faction"] = "Alliance",
            ["x"] = 0.104,
        },
        ["Naela Trance"] = {
            ["y"] = 0.582,
            ["type"] = "Bowyer",
            ["name"] = "Naela Trance",
            ["faction"] = "Alliance",
            ["x"] = 0.113,
        },
        ["Brak Durnad"] = {
            ["y"] = 0.596,
            ["type"] = "Weaponsmith",
            ["name"] = "Brak Durnad",
            ["faction"] = "Alliance",
            ["x"] = 0.114,
        },
        ["Dewin Shimmerdawn"] = {
            ["y"] = 0.563,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Dewin Shimmerdawn",
            ["faction"] = "Alliance",
            ["x"] = 0.08,
        },
        ["Neal Allen"] = {
            ["y"] = 0.568,
            ["type"] = "Engineering & General Goods Supplier",
            ["name"] = "Neal Allen",
            ["faction"] = "Alliance",
            ["x"] = 0.107,
        },
        ["Falkan Armonis"] = {
            ["y"] = 0.564,
            ["type"] = "Reagent Vendor",
            ["name"] = "Falkan Armonis",
            ["faction"] = "Alliance",
            ["x"] = 0.084,
        },
    },
    ["Loch Modan"] = {
        ["Irene Sureshot"] = {
            ["y"] = 0.634,
            ["type"] = "Gunsmith",
            ["name"] = "Irene Sureshot",
            ["faction"] = "Alliance",
            ["x"] = 0.831,
        },
        ["Karm Ironquill"] = {
            ["y"] = 0.473,
            ["type"] = "Mining Supplies",
            ["name"] = "Karm Ironquill",
            ["faction"] = "Alliance",
            ["x"] = 0.371,
        },
        ["Nillen Andemar"] = {
            ["y"] = 0.1,
            ["type"] = "Macecrafter",
            ["name"] = "Nillen Andemar",
            ["faction"] = "Alliance",
            ["x"] = 0.428,
        },
        ["Drac Roughcut"] = {
            ["y"] = 0.49,
            ["type"] = "Tradesman",
            ["name"] = "Drac Roughcut",
            ["faction"] = "Alliance",
            ["x"] = 0.356,
        },
        ["Khara Deepwater"] = {
            ["y"] = 0.393,
            ["type"] = "Fishing Supplies",
            ["name"] = "Khara Deepwater",
            ["faction"] = "Alliance",
            ["x"] = 0.395,
        },
        ["Kat Sampson"] = {
            ["y"] = 0.64,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Kat Sampson",
            ["faction"] = "Alliance",
            ["x"] = 0.826,
        },
        ["Cliff Hadin"] = {
            ["y"] = 0.63,
            ["type"] = "Bowyer",
            ["name"] = "Cliff Hadin",
            ["faction"] = "Alliance",
            ["x"] = 0.831,
        },
        ["Yanni Stoutheart"] = {
            ["y"] = 0.486,
            ["type"] = "General Supplies",
            ["name"] = "Yanni Stoutheart",
            ["faction"] = "Alliance",
            ["x"] = 0.348,
        },
        ["Innkeeper Hearthstove"] = {
            ["y"] = 0.484,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Hearthstove",
            ["faction"] = "Alliance",
            ["x"] = 0.355,
        },
        ["Xandar Goodbeard"] = {
            ["y"] = 0.634,
            ["type"] = "General Supplies",
            ["name"] = "Xandar Goodbeard",
            ["faction"] = "Alliance",
            ["x"] = 0.825,
        },
        ["Rann Flamespinner"] = {
            ["y"] = 0.46,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Rann Flamespinner",
            ["faction"] = "Alliance",
            ["x"] = 0.36,
        },
    },
    ["Darkshore"] = {
        ["Tiyani"] = {
            ["y"] = 0.766,
            ["type"] = "Food & Drink Vendor",
            ["name"] = "Tiyani",
            ["faction"] = "Alliance",
            ["x"] = 0.437,
        },
        ["Laird"] = {
            ["y"] = 0.443,
            ["type"] = "Fish Vendor",
            ["name"] = "Laird",
            ["faction"] = "Alliance",
            ["x"] = 0.368,
        },
        ["Valdaron"] = {
            ["y"] = 0.406,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Valdaron",
            ["faction"] = "Alliance",
            ["x"] = 0.381,
        },
        ["Ullanna"] = {
            ["y"] = 0.764,
            ["type"] = "Trade Supplies",
            ["name"] = "Ullanna",
            ["faction"] = "Alliance",
            ["x"] = 0.438,
        },
        ["Thelgrum Stonehammer"] = {
            ["y"] = 0.412,
            ["type"] = "Mining Supplier",
            ["name"] = "Thelgrum Stonehammer",
            ["faction"] = "Alliance",
            ["x"] = 0.382,
        },
        ["Gorbold Steelhand"] = {
            ["y"] = 0.412,
            ["type"] = "General Trade Supplier",
            ["name"] = "Gorbold Steelhand",
            ["faction"] = "Alliance",
            ["x"] = 0.381,
        },
        ["Mavralyn"] = {
            ["y"] = 0.412,
            ["type"] = "Leather Armor & Leatherworking Supplies",
            ["name"] = "Mavralyn",
            ["faction"] = "Alliance",
            ["x"] = 0.37,
        },
        ["Taldan"] = {
            ["y"] = 0.439,
            ["type"] = "Drink Vendor",
            ["name"] = "Taldan",
            ["faction"] = "Alliance",
            ["x"] = 0.369,
        },
        ["Elisa Steelhand"] = {
            ["y"] = 0.411,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Elisa Steelhand",
            ["faction"] = "Alliance",
            ["x"] = 0.382,
        },
        ["Allyndia"] = {
            ["y"] = 0.437,
            ["type"] = "Food & Drink Vendor",
            ["name"] = "Allyndia",
            ["faction"] = "Alliance",
            ["x"] = 0.371,
        },
        ["Naram Longclaw"] = {
            ["y"] = 0.404,
            ["type"] = "Weaponsmith",
            ["name"] = "Naram Longclaw",
            ["faction"] = "Alliance",
            ["x"] = 0.376,
        },
        ["Dalmond"] = {
            ["y"] = 0.405,
            ["type"] = "General Goods",
            ["name"] = "Dalmond",
            ["faction"] = "Alliance",
            ["x"] = 0.375,
        },
        ["Innkeeper Shaussiy"] = {
            ["y"] = 0.441,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Shaussiy",
            ["faction"] = "Alliance",
            ["x"] = 0.37,
        },
    },
    ["Silverpine Forest"] = {
        ["Lilly"] = {
            ["y"] = 0.508,
            ["type"] = "Enchanting Supplies",
            ["name"] = "Lilly",
            ["faction"] = "Horde",
            ["x"] = 0.431,
        },
        ["Alexandre Lefevre"] = {
            ["y"] = 0.392,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Alexandre Lefevre",
            ["faction"] = "Horde",
            ["x"] = 0.446,
        },
        ["Leo Sarn"] = {
            ["y"] = 0.823,
            ["type"] = "Enchanting Supplies",
            ["name"] = "Leo Sarn",
            ["faction"] = "Horde",
            ["x"] = 0.539,
        },
        ["Patrice Dwyer"] = {
            ["y"] = 0.418,
            ["type"] = "Poison Supplies",
            ["name"] = "Patrice Dwyer",
            ["faction"] = "Horde",
            ["x"] = 0.43,
        },
        ["Nadia Vernon"] = {
            ["y"] = 0.394,
            ["type"] = "Bowyer",
            ["name"] = "Nadia Vernon",
            ["faction"] = "Horde",
            ["x"] = 0.45,
        },
        ["Edwin Harly"] = {
            ["y"] = 0.4,
            ["type"] = "General Supplies",
            ["name"] = "Edwin Harly",
            ["faction"] = "Horde",
            ["x"] = 0.44,
        },
        ["Wallace the Blind"] = {
            ["y"] = 0.864,
            ["x"] = 0.464,
            ["name"] = "Wallace the Blind",
            ["type"] = "Weaponsmith",
        },
        ["Gwyn Farrow"] = {
            ["y"] = 0.398,
            ["type"] = "Mushroom Merchant",
            ["name"] = "Gwyn Farrow",
            ["faction"] = "Horde",
            ["x"] = 0.441,
        },
        ["Andrew Hilbert"] = {
            ["y"] = 0.407,
            ["type"] = "Trade Goods",
            ["name"] = "Andrew Hilbert",
            ["faction"] = "Horde",
            ["x"] = 0.432,
        },
        ["Innkeeper Bates"] = {
            ["y"] = 0.413,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Bates",
            ["faction"] = "Horde",
            ["x"] = 0.432,
        },
    },
    ["Dustwallow Marsh"] = {
        ["Helenia Olden"] = {
            ["y"] = 0.515,
            ["type"] = "Trade Supplies",
            ["name"] = "Helenia Olden",
            ["faction"] = "Alliance",
            ["x"] = 0.664,
        },
        ["Zulrg"] = {
            ["y"] = 0.317,
            ["type"] = "Weaponsmith",
            ["name"] = "Zulrg",
            ["faction"] = "Horde",
            ["x"] = 0.362,
        },
        ["Dwane Wertle"] = {
            ["y"] = 0.474,
            ["type"] = "Chef",
            ["name"] = "Dwane Wertle",
            ["faction"] = "Alliance",
            ["x"] = 0.682,
        },
        ["Marie Holdston"] = {
            ["y"] = 0.501,
            ["type"] = "Weaponsmith",
            ["name"] = "Marie Holdston",
            ["faction"] = "Alliance",
            ["x"] = 0.646,
        },
        ["Zanara"] = {
            ["y"] = 0.302,
            ["type"] = "Bowyer",
            ["name"] = "Zanara",
            ["faction"] = "Horde",
            ["x"] = 0.355,
        },
        ["Uma Bartulm"] = {
            ["y"] = 0.477,
            ["type"] = "Herbalism & Alchemy Supplies",
            ["name"] = "Uma Bartulm",
            ["faction"] = "Alliance",
            ["x"] = 0.64,
        },
        ["Ghok\'kah"] = {
            ["y"] = 0.308,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Ghok\'kah",
            ["faction"] = "Horde",
            ["x"] = 0.352,
        },
        ["Jensen Farran"] = {
            ["y"] = 0.499,
            ["type"] = "Bowyer",
            ["name"] = "Jensen Farran",
            ["faction"] = "Alliance",
            ["x"] = 0.679,
        },
        ["Innkeeper Janene"] = {
            ["y"] = 0.453,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Janene",
            ["faction"] = "Alliance",
            ["x"] = 0.666,
        },
        ["Charity Mipsy"] = {
            ["y"] = 0.517,
            ["type"] = "General Goods",
            ["name"] = "Charity Mipsy",
            ["faction"] = "Alliance",
            ["x"] = 0.675,
        },
        ["Ogg\'marr"] = {
            ["y"] = 0.31,
            ["type"] = "Butcher",
            ["name"] = "Ogg\'marr",
            ["faction"] = "Horde",
            ["x"] = 0.367,
        },
        ["Torq Ironblast"] = {
            ["y"] = 0.48,
            ["type"] = "Gunsmith",
            ["name"] = "Torq Ironblast",
            ["faction"] = "Alliance",
            ["x"] = 0.675,
        },
    },
    ["Feralas"] = {
        ["Logannas"] = {
            ["y"] = 0.44,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Logannas",
            ["faction"] = "Alliance",
            ["x"] = 0.327,
        },
        ["Sheendra Tallgrass"] = {
            ["y"] = 0.428,
            ["type"] = "Trade Supplies",
            ["name"] = "Sheendra Tallgrass",
            ["faction"] = "Horde",
            ["x"] = 0.745,
        },
        ["Pratt McGrubben"] = {
            ["y"] = 0.427,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Pratt McGrubben",
            ["faction"] = "Alliance",
            ["x"] = 0.306,
        },
        ["Bronk"] = {
            ["y"] = 0.433,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Bronk",
            ["faction"] = "Horde",
            ["x"] = 0.761,
        },
        ["Jadenvis Seawatcher"] = {
            ["y"] = 0.421,
            ["type"] = "Reagent Vendor",
            ["name"] = "Jadenvis Seawatcher",
            ["faction"] = "Alliance",
            ["x"] = 0.309,
        },
        ["Dulciea Frostmoon"] = {
            ["y"] = 0.432,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Dulciea Frostmoon",
            ["faction"] = "Alliance",
            ["x"] = 0.308,
        },
        ["Innkeeper Shyria"] = {
            ["y"] = 0.434,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Shyria",
            ["faction"] = "Alliance",
            ["x"] = 0.31,
        },
        ["Worb Strongstitch"] = {
            ["y"] = 0.426,
            ["type"] = "Light Armor Merchant",
            ["name"] = "Worb Strongstitch",
            ["faction"] = "Horde",
            ["x"] = 0.747,
        },
        ["Rendow"] = {
            ["y"] = 0.459,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Rendow",
            ["faction"] = "Alliance",
            ["x"] = 0.894,
        },
        ["Jangdor Swiftstrider"] = {
            ["y"] = 0.429,
            ["type"] = "Leatherworking Supplies",
            ["name"] = "Jangdor Swiftstrider",
            ["faction"] = "Horde",
            ["x"] = 0.745,
        },
        ["Savanne"] = {
            ["y"] = 0.461,
            ["type"] = "Fishing Supplies",
            ["name"] = "Savanne",
            ["faction"] = "Alliance",
            ["x"] = 0.31,
        },
        ["Brienna Starglow"] = {
            ["y"] = 0.459,
            ["type"] = "Tailoring Supplies",
            ["name"] = "Brienna Starglow",
            ["faction"] = "Alliance",
            ["x"] = 0.89,
        },
        ["Harklane"] = {
            ["y"] = 0.462,
            ["type"] = "Fish Vendor",
            ["name"] = "Harklane",
            ["faction"] = "Alliance",
            ["x"] = 0.31,
        },
        ["Vivianna"] = {
            ["y"] = 0.434,
            ["type"] = "Trade Supplies",
            ["name"] = "Vivianna",
            ["faction"] = "Alliance",
            ["x"] = 0.313,
        },
        ["Innkeeper Greul"] = {
            ["y"] = 0.451,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Greul",
            ["faction"] = "Horde",
            ["x"] = 0.748,
        },
        ["Tarhus"] = {
            ["y"] = 0.449,
            ["type"] = "Reagent Vendor",
            ["name"] = "Tarhus",
            ["faction"] = "Horde",
            ["x"] = 0.747,
        },
        ["Faralorn"] = {
            ["y"] = 0.434,
            ["type"] = "General Supplies",
            ["name"] = "Faralorn",
            ["faction"] = "Alliance",
            ["x"] = 0.307,
        },
    },
    ["Blasted Lands"] = {
        ["Strumner Flintheel"] = {
            ["y"] = 0.173,
            ["type"] = "Armor Crafter",
            ["name"] = "Strumner Flintheel",
            ["faction"] = "Alliance",
            ["x"] = 0.661,
        },
        ["Nina Lightbrew"] = {
            ["y"] = 0.183,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Nina Lightbrew",
            ["faction"] = "Alliance",
            ["x"] = 0.669,
        },
    },
    ["Elwynn Forest"] = {
        ["Brother Danil"] = {
            ["y"] = 0.416,
            ["type"] = "General Supplies",
            ["name"] = "Brother Danil",
            ["faction"] = "Alliance",
            ["x"] = 0.475,
        },
        ["Tharynn Bouden"] = {
            ["y"] = 0.671,
            ["type"] = "Trade Supplies",
            ["name"] = "Tharynn Bouden",
            ["faction"] = "Alliance",
            ["x"] = 0.419,
        },
        ["Rallic Finn"] = {
            ["y"] = 0.661,
            ["type"] = "Bowyer",
            ["name"] = "Rallic Finn",
            ["faction"] = "Alliance",
            ["x"] = 0.832,
        },
        ["Janos Hammerknuckle"] = {
            ["y"] = 0.419,
            ["type"] = "Weaponsmith",
            ["name"] = "Janos Hammerknuckle",
            ["faction"] = "Alliance",
            ["x"] = 0.473,
        },
        ["Dermot Johns"] = {
            ["y"] = 0.415,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Dermot Johns",
            ["faction"] = "Alliance",
            ["x"] = 0.476,
        },
        ["Corina Steele"] = {
            ["y"] = 0.658,
            ["type"] = "Weaponsmith",
            ["name"] = "Corina Steele",
            ["faction"] = "Alliance",
            ["x"] = 0.416,
        },
        ["Toddrick"] = {
            ["y"] = 0.66,
            ["type"] = "Butcher",
            ["name"] = "Toddrick",
            ["faction"] = "Alliance",
            ["x"] = 0.442,
        },
        ["Sylannia"] = {
            ["y"] = 0.7,
            ["x"] = 0.421,
            ["name"] = "Sylannia",
            ["type"] = "Darkmoon Faire Drink Vendor",
        },
        ["Kurran Steele"] = {
            ["y"] = 0.656,
            ["type"] = "Cloth & Leather Armor Merchant",
            ["name"] = "Kurran Steele",
            ["faction"] = "Alliance",
            ["x"] = 0.414,
        },
        ["Innkeeper Farley"] = {
            ["y"] = 0.659,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Farley",
            ["faction"] = "Alliance",
            ["x"] = 0.438,
        },
        ["Drake Lindgren"] = {
            ["y"] = 0.667,
            ["type"] = "General & Trade Supplies",
            ["name"] = "Drake Lindgren",
            ["faction"] = "Alliance",
            ["x"] = 0.833,
        },
        ["Stamp Thunderhorn"] = {
            ["y"] = 0.701,
            ["x"] = 0.421,
            ["name"] = "Stamp Thunderhorn",
            ["type"] = "Darkmoon Faire Food Vendor",
        },
        ["Brog Hamfist"] = {
            ["y"] = 0.66,
            ["type"] = "General Supplies",
            ["name"] = "Brog Hamfist",
            ["faction"] = "Alliance",
            ["x"] = 0.439,
        },
        ["Veldan Lightfoot"] = {
            ["y"] = 0.739,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Veldan Lightfoot",
            ["faction"] = "Alliance",
            ["x"] = 0.253,
        },
    },
    ["Thunder Bluff"] = {
        ["Elki"] = {
            ["y"] = 0.562,
            ["type"] = "Mail Armor Merchant",
            ["name"] = "Elki",
            ["faction"] = "Horde",
            ["x"] = 0.451,
        },
        ["Naal Mistrunner"] = {
            ["y"] = 0.522,
            ["type"] = "Cooking Supplier",
            ["name"] = "Naal Mistrunner",
            ["faction"] = "Horde",
            ["x"] = 0.511,
        },
        ["Ahanu"] = {
            ["y"] = 0.558,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Ahanu",
            ["faction"] = "Horde",
            ["x"] = 0.455,
        },
        ["Thrumn"] = {
            ["y"] = 0.629,
            ["type"] = "Tabard Vendor",
            ["name"] = "Thrumn",
            ["faction"] = "Horde",
            ["x"] = 0.375,
        },
        ["Sunn Ragetotem"] = {
            ["y"] = 0.491,
            ["type"] = "Staff Merchant",
            ["name"] = "Sunn Ragetotem",
            ["faction"] = "Horde",
            ["x"] = 0.497,
        },
        ["Delgo Ragetotem"] = {
            ["y"] = 0.571,
            ["type"] = "Axe Merchant",
            ["name"] = "Delgo Ragetotem",
            ["faction"] = "Horde",
            ["x"] = 0.538,
        },
        ["Kaga Mistrunner"] = {
            ["y"] = 0.483,
            ["type"] = "Meat Vendor",
            ["name"] = "Kaga Mistrunner",
            ["faction"] = "Horde",
            ["x"] = 0.524,
        },
        ["Shadi Mistrunner"] = {
            ["y"] = 0.636,
            ["type"] = "Trade Goods Supplier",
            ["name"] = "Shadi Mistrunner",
            ["faction"] = "Horde",
            ["x"] = 0.404,
        },
        ["Mahu"] = {
            ["y"] = 0.446,
            ["type"] = "Leatherworking & Tailoring Supplies",
            ["name"] = "Mahu",
            ["faction"] = "Horde",
            ["x"] = 0.438,
        },
        ["Taur Stonehoof"] = {
            ["y"] = 0.553,
            ["type"] = "Blacksmithing Supplies",
            ["name"] = "Taur Stonehoof",
            ["faction"] = "Horde",
            ["x"] = 0.399,
        },
        ["Nan Mistrunner"] = {
            ["y"] = 0.422,
            ["type"] = "Fruit Vendor",
            ["name"] = "Nan Mistrunner",
            ["faction"] = "Horde",
            ["x"] = 0.471,
        },
        ["Sura Wildmane"] = {
            ["y"] = 0.546,
            ["type"] = "War Harness Vendor",
            ["name"] = "Sura Wildmane",
            ["faction"] = "Horde",
            ["x"] = 0.517,
        },
        ["Etu Ragetotem"] = {
            ["y"] = 0.58,
            ["type"] = "Mace & Staff Merchant",
            ["name"] = "Etu Ragetotem",
            ["faction"] = "Horde",
            ["x"] = 0.533,
        },
        ["Nida Winterhoof"] = {
            ["y"] = 0.392,
            ["type"] = "Herbalism Supplier",
            ["name"] = "Nida Winterhoof",
            ["faction"] = "Horde",
            ["x"] = 0.495,
        },
        ["Rumstag Proudstrider"] = {
            ["y"] = 0.429,
            ["type"] = "Horde Cloth Quartermaster",
            ["name"] = "Rumstag Proudstrider",
            ["faction"] = "Horde",
            ["x"] = 0.431,
        },
        ["Halpa"] = {
            ["y"] = 0.585,
            ["type"] = "Prairie Dog Vendor",
            ["name"] = "Halpa",
            ["faction"] = "Horde",
            ["x"] = 0.622,
        },
        ["Sewa Mistrunner"] = {
            ["y"] = 0.471,
            ["type"] = "Fishing Supplier",
            ["name"] = "Sewa Mistrunner",
            ["faction"] = "Horde",
            ["x"] = 0.56,
        },
        ["Ohanko"] = {
            ["y"] = 0.577,
            ["type"] = "Two Handed Weapon Merchant",
            ["name"] = "Ohanko",
            ["faction"] = "Horde",
            ["x"] = 0.531,
        },
        ["Hewa"] = {
            ["y"] = 0.565,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Hewa",
            ["faction"] = "Horde",
            ["x"] = 0.453,
        },
        ["Hogor Thunderhoof"] = {
            ["y"] = 0.566,
            ["type"] = "Guns Merchant",
            ["name"] = "Hogor Thunderhoof",
            ["faction"] = "Horde",
            ["x"] = 0.556,
        },
        ["Pakwa"] = {
            ["y"] = 0.638,
            ["type"] = "Bag Vendor",
            ["name"] = "Pakwa",
            ["faction"] = "Horde",
            ["x"] = 0.392,
        },
        ["Nata Dawnstrider"] = {
            ["y"] = 0.392,
            ["type"] = "Enchanting Supplies",
            ["name"] = "Nata Dawnstrider",
            ["faction"] = "Horde",
            ["x"] = 0.45,
        },
        ["Kard Ragetotem"] = {
            ["y"] = 0.572,
            ["type"] = "Sword and Dagger Merchant",
            ["name"] = "Kard Ragetotem",
            ["faction"] = "Horde",
            ["x"] = 0.531,
        },
        ["Jyn Stonehoof"] = {
            ["y"] = 0.62,
            ["type"] = "Weapons Merchant",
            ["name"] = "Jyn Stonehoof",
            ["faction"] = "Horde",
            ["x"] = 0.414,
        },
        ["Tagain"] = {
            ["y"] = 0.44,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Tagain",
            ["faction"] = "Horde",
            ["x"] = 0.435,
        },
        ["Mani Winterhoof"] = {
            ["y"] = 0.337,
            ["type"] = "Alchemy Supplies",
            ["name"] = "Mani Winterhoof",
            ["faction"] = "Horde",
            ["x"] = 0.472,
        },
        ["Kuruk"] = {
            ["y"] = 0.642,
            ["type"] = "General Goods Vendor",
            ["name"] = "Kuruk",
            ["faction"] = "Horde",
            ["x"] = 0.39,
        },
        ["Grod"] = {
            ["y"] = 0.434,
            ["type"] = "Leather Armor Merchant",
            ["name"] = "Grod",
            ["faction"] = "Horde",
            ["x"] = 0.429,
        },
        ["Fyr Mistrunner"] = {
            ["y"] = 0.534,
            ["type"] = "Bread Vendor",
            ["name"] = "Fyr Mistrunner",
            ["faction"] = "Horde",
            ["x"] = 0.413,
        },
        ["Kurm Stonehoof"] = {
            ["y"] = 0.57,
            ["type"] = "Mining Supplier",
            ["name"] = "Kurm Stonehoof",
            ["faction"] = "Horde",
            ["x"] = 0.345,
        },
        ["Innkeeper Pala"] = {
            ["y"] = 0.643,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Pala",
            ["faction"] = "Horde",
            ["x"] = 0.457,
        },
    },
    ["Silvermoon City"] = {
        ["Sorim Lightsong"] = {
            ["y"] = 0.525,
            ["type"] = "Horde Cloth Quartermaster",
            ["name"] = "Sorim Lightsong",
            ["faction"] = "Horde",
            ["x"] = 0.566,
        },
        ["Innkeeper Jovia"] = {
            ["y"] = 0.73,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Jovia",
            ["faction"] = "Horde",
            ["x"] = 0.677,
        },
        ["Zyandrel"] = {
            ["y"] = 0.479,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Zyandrel",
            ["faction"] = "Horde",
            ["x"] = 0.647,
        },
        ["Quelis"] = {
            ["y"] = 0.707,
            ["type"] = "Cooking Supplier",
            ["name"] = "Quelis",
            ["faction"] = "Horde",
            ["x"] = 0.693,
        },
        ["Gelanthis"] = {
            ["y"] = 0.737,
            ["type"] = "Jewelcrafting Supplier",
            ["name"] = "Gelanthis",
            ["faction"] = "Horde",
            ["x"] = 0.906,
        },
        ["Parnis"] = {
            ["y"] = 0.643,
            ["type"] = "Tradesman",
            ["name"] = "Parnis",
            ["faction"] = "Horde",
            ["x"] = 0.644,
        },
        ["Eriden"] = {
            ["y"] = 0.369,
            ["type"] = "Blacksmithing Supplier",
            ["name"] = "Eriden",
            ["faction"] = "Horde",
            ["x"] = 0.798,
        },
        ["Zelan"] = {
            ["y"] = 0.427,
            ["type"] = "Mining Supplies",
            ["name"] = "Zelan",
            ["faction"] = "Horde",
            ["x"] = 0.786,
        },
        ["Innkeeper Velandra"] = {
            ["y"] = 0.58,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Velandra",
            ["faction"] = "Horde",
            ["x"] = 0.795,
        },
        ["Yatheon"] = {
            ["y"] = 0.403,
            ["type"] = "Engineering Supplier",
            ["name"] = "Yatheon",
            ["faction"] = "Horde",
            ["x"] = 0.755,
        },
        ["Sathren Azuredawn"] = {
            ["y"] = 0.71,
            ["type"] = "General Goods",
            ["name"] = "Sathren Azuredawn",
            ["faction"] = "Horde",
            ["x"] = 0.539,
        },
        ["Bithrus"] = {
            ["y"] = 0.509,
            ["type"] = "Fireworks Vendor",
            ["name"] = "Bithrus",
            ["faction"] = "Horde",
            ["x"] = 0.622,
        },
        ["Deynna"] = {
            ["y"] = 0.512,
            ["type"] = "Tailoring Supplier",
            ["name"] = "Deynna",
            ["faction"] = "Horde",
            ["x"] = 0.556,
        },
        ["Vinemaster Suntouched"] = {
            ["y"] = 0.58,
            ["type"] = "Wine & Spirits Merchant",
            ["name"] = "Vinemaster Suntouched",
            ["faction"] = "Horde",
            ["x"] = 0.795,
        },
        ["Rathin"] = {
            ["y"] = 0.48,
            ["type"] = "Bag Vendor",
            ["name"] = "Rathin",
            ["faction"] = "Horde",
            ["x"] = 0.657,
        },
        ["Mathaleron"] = {
            ["y"] = 0.4,
            ["type"] = "Gunsmith",
            ["name"] = "Mathaleron",
            ["faction"] = "Horde",
            ["x"] = 0.856,
        },
    },
    ["Stonetalon Mountains"] = {
        ["Illyanie"] = {
            ["y"] = 0.07,
            ["type"] = "Cloth Armor Merchant",
            ["name"] = "Illyanie",
            ["faction"] = "Alliance",
            ["x"] = 0.354,
        },
        ["Krond"] = {
            ["y"] = 0.585,
            ["type"] = "Butcher",
            ["name"] = "Krond",
            ["faction"] = "Horde",
            ["x"] = 0.462,
        },
        ["Borand"] = {
            ["y"] = 0.592,
            ["type"] = "Bowyer",
            ["name"] = "Borand",
            ["faction"] = "Horde",
            ["x"] = 0.453,
        },
        ["Veenix"] = {
            ["y"] = 0.517,
            ["x"] = 0.583,
            ["name"] = "Veenix",
            ["type"] = "Venture Co. Merchant",
        },
        ["Innkeeper Jayka"] = {
            ["y"] = 0.621,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Jayka",
            ["faction"] = "Horde",
            ["x"] = 0.475,
        },
        ["Kulwia"] = {
            ["y"] = 0.594,
            ["type"] = "Trade Supplies",
            ["name"] = "Kulwia",
            ["faction"] = "Horde",
            ["x"] = 0.454,
        },
        ["Innkeeper Faralia"] = {
            ["y"] = 0.058,
            ["type"] = "Innkeeper",
            ["name"] = "Innkeeper Faralia",
            ["faction"] = "Alliance",
            ["x"] = 0.357,
        },
        ["Denni\'ka"] = {
            ["y"] = 0.954,
            ["type"] = "Butcher",
            ["name"] = "Denni\'ka",
            ["faction"] = "Horde",
            ["x"] = 0.735,
        },
        ["Grawnal"] = {
            ["y"] = 0.587,
            ["type"] = "General Goods",
            ["name"] = "Grawnal",
            ["faction"] = "Horde",
            ["x"] = 0.459,
        },
        ["Chylina"] = {
            ["y"] = 0.062,
            ["type"] = "General Supplies",
            ["name"] = "Chylina",
            ["faction"] = "Alliance",
            ["x"] = 0.356,
        },
    },
    ["Nagrand"] = {
        ["Trader Narasu"] = {
            ["y"] = 0.752,
            ["type"] = "Kurenai Quartermaster",
            ["name"] = "Trader Narasu",
            ["faction"] = "Alliance",
            ["x"] = 0.546,
        },
        ["Sparik"] = {
            ["y"] = 0.702,
            ["type"] = "Armorsmith & Blacksmithing Supplies",
            ["name"] = "Sparik",
            ["faction"] = "Alliance",
            ["x"] = 0.531,
        },
        ["Provisioner Nasela"] = {
            ["y"] = 0.369,
            ["type"] = "Mag'har Quartermaster",
            ["name"] = "Provisioner Nasela",
            ["faction"] = "Horde",
            ["x"] = 0.535,
        },
        ["Matron Qualia"] = {
            ["y"] = 0.36,
            ["type"] = "General Goods",
            ["name"] = "Matron Qualia",
            ["faction"] = "Horde",
            ["x"] = 0.555,
        },
        ["Cendrii"] = {
            ["y"] = 0.43,
            ["type"] = "Food and Drink",
            ["name"] = "Cendrii",
            ["faction"] = "Alliance",
            ["x"] = 0.42,
        },
        ["Osrok the Immovable"] = {
            ["y"] = 0.373,
            ["type"] = "Armorsmith & Blacksmithing Supplies",
            ["name"] = "Osrok the Immovable",
            ["faction"] = "Horde",
            ["x"] = 0.561,
        },
        ["Nancila"] = {
            ["y"] = 0.706,
            ["type"] = "General Goods",
            ["name"] = "Nancila",
            ["faction"] = "Alliance",
            ["x"] = 0.552,
        },
        ["Embelar"] = {
            ["y"] = 0.43,
            ["type"] = "Food and Drink",
            ["name"] = "Embelar",
            ["faction"] = "Horde",
            ["x"] = 0.42,
        },
        ["Borto"] = {
            ["y"] = 0.719,
            ["type"] = "Trade Supplies",
            ["name"] = "Borto",
            ["faction"] = "Alliance",
            ["x"] = 0.533,
        },
        ["Uriku"] = {
            ["y"] = 0.733,
            ["type"] = "Cooking Supplies",
            ["name"] = "Uriku",
            ["faction"] = "Alliance",
            ["x"] = 0.562,
        },
        ["Coreiel"] = {
            ["y"] = 0.426,
            ["type"] = "Blade Merchant",
            ["name"] = "Coreiel",
            ["faction"] = "Horde",
            ["x"] = 0.428,
        },
        ["Nula the Butcher"] = {
            ["y"] = 0.357,
            ["type"] = "Cooking Supplies",
            ["name"] = "Nula the Butcher",
            ["faction"] = "Horde",
            ["x"] = 0.581,
        },
    },
}

    for k,v in pairs(import) do
        if (v ~= nil) then
            if (not result[k]) then result[k] = {} end
            for vk,vv in pairs(v) do
                if (vv ~= nil) and (vv.faction == faction) and (vv.x ~= 0) and (vv.y ~= 0) then
                    if (not result[k][vk]) then result[k][vk] = vv end
                end
            end
        end
    end

    return result
end

function Cartographer_Vendors:ImportVendors()
    local importData = loadVendorsImportData()
    local result = {}
    
    if (importData) then
        DEFAULT_CHAT_FRAME:AddMessage("Cartographer Vendor: Start import.")
        for k,v in pairs(importData) do
            if (v ~= nil) then
                if (not result[k]) then result[k] = {} end
                for vk, vv in pairs(v) do
                    if (vv ~= nil) then
                        if (not result[k][vk]) then result[k][vk] = vv end
                    end
                end
            end
        end
        DEFAULT_CHAT_FRAME:AddMessage("Cartographer Vendor: Import complete.")
    end
    
    return result
end
